<id>
profileCSS_Y22_v1_5.mod
</id>

<version>
1.5
</version>

<mod info>
profileCSS_Y22_v1_5.mod allows users to edit some CSS Properties for Profiles

-------------------------------------------
Intructions
-------------------------------------------

1. install the mod

2. upload to Admin/

   ModList.pl

    upload to Sources/
   
   MyCenter.pl
   Profile.pl
   SubList.pl

    upload to Languages/English/

   profileCSS.lng

------------------------------
Mod History
------------------------------
26-03-08
added class for each row and text/link colors for each row
fixed typos
25-03-08
added Background-Attachment ... Position ... Repeat
27-03-08
fixed more typos ... updated Lang file ... added backround-color
</mod info>

<author>
TimothyDFirman
</author>

<homepage>

</homepage>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$profileCSS = "profileCSS_Y22_v1_5|TimothyDFirman|Allows User to Input CSS Properties for Profile|1.5 BETA|27-03-08";
	push (@installed_mods, $profileCSS);
</add before>

<edit file>
Sources/MyCenter.pl
</edit file>

<search for>
		elsif ($action eq 'myviewprofile') { &ViewProfile; }
</search for>

<add before>
		elsif ($action eq 'myprofileCSS') { &profileCSS; }
		elsif ($action eq 'myprofileCSS2') { &profileCSS2; }
</add before>

<search for>
	if ($PM_level == 1 || ($PM_level == 2 && ($iamadmin || $iamgmod || $iammod)) || ($PM_level == 3 && ($iamadmin || $iamgmod))) {
		$thisLink = $profileLink . 'myprofileIM;username=' . $useraccount{$username} . $sidLink;
		$MCProfMenu .= qq~
		<span class="nav"><b><a href="$scripturl?$thisLink">$inmes_txt{'765'}</a></b></span>
		<br />
		~;
	}
</search for>

<add after>
	$thisLink = $profileLink . 'myprofileCSS;username=' . $useraccount{$username} . $sidLink;
	$MCProfMenu .= qq~
        <span class="nav"><b><a href="$scripturl?$thisLink">Profile CSS</a></b></span><br />~;
</add after>

<edit file>
Sources/Profile.pl
</edit file>

<search for>
&LoadLanguage('Profile');
</search for>

<add after>
&LoadLanguage('profileCSS');
</add after>

<search for>
	if (${$uid.$user}{'gender'} eq 'Male')   { $GenderMale   = ' selected="selected" '; }
	if (${$uid.$user}{'gender'} eq 'Female') { $GenderFemale = ' selected="selected" '; }
</search for>

<add after>
	if (${$uid.$user}{'pbgimgattachment'} eq 'scroll')   { $pbgimgattachmentscroll   = ' selected="selected" '; }
	if (${$uid.$user}{'pbgimgattachment'} eq 'fixed') { $pbgimgattachmentfixed = ' selected="selected" '; }
	if (${$uid.$user}{'pbgimgposition'} eq 'top left')   { $pbgimgpositiontopleft   = ' selected="selected" '; }
	if (${$uid.$user}{'pbgimgposition'} eq 'top center') { $pbgimgpositiontopcenter = ' selected="selected" '; }
	if (${$uid.$user}{'pbgimgposition'} eq 'top right') { $pbgimgpositiontopright = ' selected="selected" '; }
	if (${$uid.$user}{'pbgimgposition'} eq 'center left') { $pbgimgpositioncenterleft = ' selected="selected" '; }
	if (${$uid.$user}{'pbgimgposition'} eq 'center center') { $pbgimgpositioncentercenter = ' selected="selected" '; }
	if (${$uid.$user}{'pbgimgposition'} eq 'center right') { $pbgimgpositioncenterright = ' selected="selected" '; }
	if (${$uid.$user}{'pbgimgposition'} eq 'bottom left') { $pbgimgpositionbottomleft = ' selected="selected" '; }
	if (${$uid.$user}{'pbgimgposition'} eq 'bottom center') { $pbgimgpositionbottomcenter = ' selected="selected" '; }
	if (${$uid.$user}{'pbgimgposition'} eq 'bottom right') { $pbgimgpositionbottomright = ' selected="selected" '; }
	if (${$uid.$user}{'pbgimgrepeat'} eq 'repeat') { $pbgimgrepeatyes = ' selected="selected" '; }
	if (${$uid.$user}{'pbgimgrepeat'} eq 'repeat-x') { $pbgimgrepeatx = ' selected="selected" '; }
	if (${$uid.$user}{'pbgimgrepeat'} eq 'repeat-y') { $pbgimgrepeaty = ' selected="selected" '; }
	if (${$uid.$user}{'pbgimgrepeat'} eq 'no-repeat') { $pbgimgrepeatno = ' selected="selected" '; }
#pbgPicRow
	if (${$uid.$user}{'pbgPicRowattachment'} eq 'scroll')   { $pbgPicRowattachmentscroll   = ' selected="selected" '; }
	if (${$uid.$user}{'pbgPicRowattachment'} eq 'fixed') { $pbgPicRowattachmentfixed = ' selected="selected" '; }
	if (${$uid.$user}{'pbgPicRowposition'} eq 'top left')   { $pbgPicRowpositiontopleft   = ' selected="selected" '; }
	if (${$uid.$user}{'pbgPicRowposition'} eq 'top center') { $pbgPicRowpositiontopcenter = ' selected="selected" '; }
	if (${$uid.$user}{'pbgPicRowposition'} eq 'top right') { $pbgPicRowpositiontopright = ' selected="selected" '; }
	if (${$uid.$user}{'pbgPicRowposition'} eq 'center left') { $pbgPicRowpositioncenterleft = ' selected="selected" '; }
	if (${$uid.$user}{'pbgPicRowposition'} eq 'center center') { $pbgPicRowpositioncentercenter = ' selected="selected" '; }
	if (${$uid.$user}{'pbgPicRowposition'} eq 'center right') { $pbgPicRowpositioncenterright = ' selected="selected" '; }
	if (${$uid.$user}{'pbgPicRowposition'} eq 'bottom left') { $pbgPicRowpositionbottomleft = ' selected="selected" '; }
	if (${$uid.$user}{'pbgPicRowposition'} eq 'bottom center') { $pbgPicRowpositionbottomcenter = ' selected="selected" '; }
	if (${$uid.$user}{'pbgPicRowposition'} eq 'bottom right') { $pbgPicRowpositionbottomright = ' selected="selected" '; }
	if (${$uid.$user}{'pbgPicRowrepeat'} eq 'repeat') { $pbgPicRowrepeatyes = ' selected="selected" '; }
	if (${$uid.$user}{'pbgPicRowrepeat'} eq 'repeat-x') { $pbgPicRowrepeatx = ' selected="selected" '; }
	if (${$uid.$user}{'pbgPicRowrepeat'} eq 'repeat-y') { $pbgPicRowrepeaty = ' selected="selected" '; }
	if (${$uid.$user}{'pbgPicRowrepeat'} eq 'no-repeat') { $pbgPicRowrepeatno = ' selected="selected" '; }
#pbgFirstRow
	if (${$uid.$user}{'pbgFirstRowattachment'} eq 'scroll')   { $pbgFirstRowattachmentscroll   = ' selected="selected" '; }
	if (${$uid.$user}{'pbgFirstRowattachment'} eq 'fixed') { $pbgFirstRowattachmentfixed = ' selected="selected" '; }
	if (${$uid.$user}{'pbgFirstRowposition'} eq 'top left')   { $pbgFirstRowpositiontopleft   = ' selected="selected" '; }
	if (${$uid.$user}{'pbgFirstRowposition'} eq 'top center') { $pbgFirstRowpositiontopcenter = ' selected="selected" '; }
	if (${$uid.$user}{'pbgFirstRowposition'} eq 'top right') { $pbgFirstRowpositiontopright = ' selected="selected" '; }
	if (${$uid.$user}{'pbgFirstRowposition'} eq 'center left') { $pbgFirstRowpositioncenterleft = ' selected="selected" '; }
	if (${$uid.$user}{'pbgFirstRowposition'} eq 'center center') { $pbgFirstRowpositioncentercenter = ' selected="selected" '; }
	if (${$uid.$user}{'pbgFirstRowposition'} eq 'center right') { $pbgFirstRowpositioncenterright = ' selected="selected" '; }
	if (${$uid.$user}{'pbgFirstRowposition'} eq 'bottom left') { $pbgFirstRowpositionbottomleft = ' selected="selected" '; }
	if (${$uid.$user}{'pbgFirstRowposition'} eq 'bottom center') { $pbgFirstRowpositionbottomcenter = ' selected="selected" '; }
	if (${$uid.$user}{'pbgFirstRowposition'} eq 'bottom right') { $pbgFirstRowpositionbottomright = ' selected="selected" '; }
	if (${$uid.$user}{'pbgFirstRowrepeat'} eq 'repeat') { $pbgFirstRowrepeatyes = ' selected="selected" '; }
	if (${$uid.$user}{'pbgFirstRowrepeat'} eq 'repeat-x') { $pbgFirstRowrepeatx = ' selected="selected" '; }
	if (${$uid.$user}{'pbgFirstRowrepeat'} eq 'repeat-y') { $pbgFirstRowrepeaty = ' selected="selected" '; }
	if (${$uid.$user}{'pbgFirstRowrepeat'} eq 'no-repeat') { $pbgFirstRowrepeatno = ' selected="selected" '; }
#pbgContactRow
	if (${$uid.$user}{'pbgContactRowattachment'} eq 'scroll')   { $pbgContactRowattachmentscroll   = ' selected="selected" '; }
	if (${$uid.$user}{'pbgContactRowattachment'} eq 'fixed') { $pbgContactRowattachmentfixed = ' selected="selected" '; }
	if (${$uid.$user}{'pbgContactRowposition'} eq 'top left')   { $pbgContactRowpositiontopleft   = ' selected="selected" '; }
	if (${$uid.$user}{'pbgContactRowposition'} eq 'top center') { $pbgContactRowpositiontopcenter = ' selected="selected" '; }
	if (${$uid.$user}{'pbgContactRowposition'} eq 'top right') { $pbgContactRowpositiontopright = ' selected="selected" '; }
	if (${$uid.$user}{'pbgContactRowposition'} eq 'center left') { $pbgContactRowpositioncenterleft = ' selected="selected" '; }
	if (${$uid.$user}{'pbgContactRowposition'} eq 'center center') { $pbgContactRowpositioncentercenter = ' selected="selected" '; }
	if (${$uid.$user}{'pbgContactRowposition'} eq 'center right') { $pbgContactRowpositioncenterright = ' selected="selected" '; }
	if (${$uid.$user}{'pbgContactRowposition'} eq 'bottom left') { $pbgContactRowpositionbottomleft = ' selected="selected" '; }
	if (${$uid.$user}{'pbgContactRowposition'} eq 'bottom center') { $pbgContactRowpositionbottomcenter = ' selected="selected" '; }
	if (${$uid.$user}{'pbgContactRowposition'} eq 'bottom right') { $pbgContactRowpositionbottomright = ' selected="selected" '; }
	if (${$uid.$user}{'pbgContactRowrepeat'} eq 'repeat') { $pbgContactRowrepeatyes = ' selected="selected" '; }
	if (${$uid.$user}{'pbgContactRowrepeat'} eq 'repeat-x') { $pbgContactRowrepeatx = ' selected="selected" '; }
	if (${$uid.$user}{'pbgContactRowrepeat'} eq 'repeat-y') { $pbgContactRowrepeaty = ' selected="selected" '; }
	if (${$uid.$user}{'pbgContactRowrepeat'} eq 'no-repeat') { $pbgContactRowrepeatno = ' selected="selected" '; }
#pbgSignatureRow
	if (${$uid.$user}{'pbgSignatureRowattachment'} eq 'scroll')   { $pbgSignatureRowattachmentscroll   = ' selected="selected" '; }
	if (${$uid.$user}{'pbgSignatureRowattachment'} eq 'fixed') { $pbgSignatureRowattachmentfixed = ' selected="selected" '; }
	if (${$uid.$user}{'pbgSignatureRowposition'} eq 'top left')   { $pbgSignatureRowpositiontopleft   = ' selected="selected" '; }
	if (${$uid.$user}{'pbgSignatureRowposition'} eq 'top center') { $pbgSignatureRowpositiontopcenter = ' selected="selected" '; }
	if (${$uid.$user}{'pbgSignatureRowposition'} eq 'top right') { $pbgSignatureRowpositiontopright = ' selected="selected" '; }
	if (${$uid.$user}{'pbgSignatureRowposition'} eq 'center left') { $pbgSignatureRowpositioncenterleft = ' selected="selected" '; }
	if (${$uid.$user}{'pbgSignatureRowposition'} eq 'center center') { $pbgSignatureRowpositioncentercenter = ' selected="selected" '; }
	if (${$uid.$user}{'pbgSignatureRowposition'} eq 'center right') { $pbgSignatureRowpositioncenterright = ' selected="selected" '; }
	if (${$uid.$user}{'pbgSignatureRowposition'} eq 'bottom left') { $pbgSignatureRowpositionbottomleft = ' selected="selected" '; }
	if (${$uid.$user}{'pbgSignatureRowposition'} eq 'bottom center') { $pbgSignatureRowpositionbottomcenter = ' selected="selected" '; }
	if (${$uid.$user}{'pbgSignatureRowposition'} eq 'bottom right') { $pbgSignatureRowpositionbottomright = ' selected="selected" '; }
	if (${$uid.$user}{'pbgSignatureRowrepeat'} eq 'repeat') { $pbgSignatureRowrepeatyes = ' selected="selected" '; }
	if (${$uid.$user}{'pbgSignatureRowrepeat'} eq 'repeat-x') { $pbgSignatureRowrepeatx = ' selected="selected" '; }
	if (${$uid.$user}{'pbgSignatureRowrepeat'} eq 'repeat-y') { $pbgSignatureRowrepeaty = ' selected="selected" '; }
	if (${$uid.$user}{'pbgSignatureRowrepeat'} eq 'no-repeat') { $pbgSignatureRowrepeatno = ' selected="selected" '; }
#pbgAdditionalInfoRow
	if (${$uid.$user}{'pbgAdditionalInfoRowattachment'} eq 'scroll')   { $pbgAdditionalInfoRowattachmentscroll   = ' selected="selected" '; }
	if (${$uid.$user}{'pbgAdditionalInfoRowattachment'} eq 'fixed') { $pbgAdditionalInfoRowattachmentfixed = ' selected="selected" '; }
	if (${$uid.$user}{'pbgAdditionalInfoRowposition'} eq 'top left')   { $pbgAdditionalInfoRowpositiontopleft   = ' selected="selected" '; }
	if (${$uid.$user}{'pbgAdditionalInfoRowposition'} eq 'top center') { $pbgAdditionalInfoRowpositiontopcenter = ' selected="selected" '; }
	if (${$uid.$user}{'pbgAdditionalInfoRowposition'} eq 'top right') { $pbgAdditionalInfoRowpositiontopright = ' selected="selected" '; }
	if (${$uid.$user}{'pbgAdditionalInfoRowposition'} eq 'center left') { $pbgAdditionalInfoRowpositioncenterleft = ' selected="selected" '; }
	if (${$uid.$user}{'pbgAdditionalInfoRowposition'} eq 'center center') { $pbgAdditionalInfoRowpositioncentercenter = ' selected="selected" '; }
	if (${$uid.$user}{'pbgAdditionalInfoRowposition'} eq 'center right') { $pbgAdditionalInfoRowpositioncenterright = ' selected="selected" '; }
	if (${$uid.$user}{'pbgAdditionalInfoRowposition'} eq 'bottom left') { $pbgAdditionalInfoRowpositionbottomleft = ' selected="selected" '; }
	if (${$uid.$user}{'pbgAdditionalInfoRowposition'} eq 'bottom center') { $pbgAdditionalInfoRowpositionbottomcenter = ' selected="selected" '; }
	if (${$uid.$user}{'pbgAdditionalInfoRowposition'} eq 'bottom right') { $pbgAdditionalInfoRowpositionbottomright = ' selected="selected" '; }
	if (${$uid.$user}{'pbgAdditionalInfoRowrepeat'} eq 'repeat') { $pbgAdditionalInfoRowrepeatyes = ' selected="selected" '; }
	if (${$uid.$user}{'pbgAdditionalInfoRowrepeat'} eq 'repeat-x') { $pbgAdditionalInfoRowrepeatx = ' selected="selected" '; }
	if (${$uid.$user}{'pbgAdditionalInfoRowrepeat'} eq 'repeat-y') { $pbgAdditionalInfoRowrepeaty = ' selected="selected" '; }
	if (${$uid.$user}{'pbgAdditionalInfoRowrepeat'} eq 'no-repeat') { $pbgAdditionalInfoRowrepeatno = ' selected="selected" '; }
</add after>

<search for>
	@menucolors = qw(catbg catbg catbg catbg catbg catbg);
</search for>

<replace>
	@menucolors = qw(catbg catbg catbg catbg catbg catbg catbg);
</replace>

<search for>
	if ($iamadmin || ($iamgmod && $allow_gmod_profile && $gmod_access2{'profileAdmin'} eq 'on')) {
		$yymain .= qq~
			<td class="$menucolors[5]" valign="bottom" width="16%" align="center"><span class="small"><b><a href="$scripturl?action=profileAdmin;username=$useraccount{$user};sid=$INFO{'sid'}">$profile_txt{820}</a></b></span></td>~;
	}
	$yymain .= qq~
</search for>

<replace>
	$yymain .= qq~
			<td class="$menucolors[5]" valign="bottom" width="16%" align="center"><span class="small"><b><a href="$scripturl?action=profileCSS;username=$useraccount{$user};sid=$INFO{'sid'}">$lang_pcss{'profileCSS'}</a></b></span></td>~;

	if ($iamadmin || ($iamgmod && $allow_gmod_profile && $gmod_access2{'profileAdmin'} eq 'on')) {
		$yymain .= qq~
			<td class="$menucolors[6]" valign="bottom" width="16%" align="center"><span class="small"><b><a href="$scripturl?action=profileAdmin;username=$useraccount{$user};sid=$INFO{'sid'}">$profile_txt{820}</a></b></span></td>~;
	}
	$yymain .= qq~
</replace>

<search for>
sub ModifyProfileAdmin {
	&SidCheck($action);

	&is_admin_or_gmod;
	&PrepareProfile;

	my $user = $INFO{'username'};
	if (!${$uid.$user}{'password'}) { &LoadUser($user); }

	$menucolors[5] = "titlebg";
	if (!$view) { &ProfileMenu; }
</search for>

<replace>
sub profileCSS {
	&SidCheck($action);

	&PrepareProfile;
	my $user = $INFO{'username'};
	if (!${$uid.$user}{'password'}) { &LoadUser($user); }
	$menucolors[5] = "titlebg";
	if (!$view) { &ProfileMenu; }
	
	&ToChars(${$uid.$user}{'pbgimgurl'});
	&ToChars(${$uid.$user}{'pbgcolor'});
	&ToChars(${$uid.$user}{'pbgimgattachment'});
	&ToChars(${$uid.$user}{'pbgimgposition'});
	&ToChars(${$uid.$user}{'pbgimgrepeat'});
	&ToChars(${$uid.$user}{'pbgPicRowurl'});
	&ToChars(${$uid.$user}{'pbgPicRowcolor'});
	&ToChars(${$uid.$user}{'pbgPicRowattachment'});
	&ToChars(${$uid.$user}{'pbgPicRowposition'});
	&ToChars(${$uid.$user}{'pbgPicRowrepeat'});
	&ToChars(${$uid.$user}{'pbgPicRowtextcolor'});
	&ToChars(${$uid.$user}{'pbgPicRowalink'});
	&ToChars(${$uid.$user}{'pbgPicRowahoverlink'});
	&ToChars(${$uid.$user}{'pbgPicRowvlink'});
	&ToChars(${$uid.$user}{'pbgFirstRowurl'});
	&ToChars(${$uid.$user}{'pbgFirstRowcolor'});
	&ToChars(${$uid.$user}{'pbgFirstRowattachment'});
	&ToChars(${$uid.$user}{'pbgFirstRowposition'});
	&ToChars(${$uid.$user}{'pbgFirstRowrepeat'});
	&ToChars(${$uid.$user}{'pbgFirstRowtextcolor'});
	&ToChars(${$uid.$user}{'pbgFirstRowalink'});
	&ToChars(${$uid.$user}{'pbgFirstRowahoverlink'});
	&ToChars(${$uid.$user}{'pbgFirstRowvlink'});
	&ToChars(${$uid.$user}{'pbgContactRowurl'});
	&ToChars(${$uid.$user}{'pbgContactRowcolor'});
	&ToChars(${$uid.$user}{'pbgContactRowattachment'});
	&ToChars(${$uid.$user}{'pbgContactRowposition'});
	&ToChars(${$uid.$user}{'pbgContactRowrepeat'});
	&ToChars(${$uid.$user}{'pbgContactRowtextcolor'});
	&ToChars(${$uid.$user}{'pbgContactRowalink'});
	&ToChars(${$uid.$user}{'pbgContactRowahoverlink'});
	&ToChars(${$uid.$user}{'pbgContactRowvlink'});
	&ToChars(${$uid.$user}{'pbgSignatureRowurl'});
	&ToChars(${$uid.$user}{'pbgSignatureRowcolor'});
	&ToChars(${$uid.$user}{'pbgSignatureRowattachment'});
	&ToChars(${$uid.$user}{'pbgSignatureRowposition'});
	&ToChars(${$uid.$user}{'pbgSignatureRowrepeat'});
	&ToChars(${$uid.$user}{'pbgSignatureRowtextcolor'});
	&ToChars(${$uid.$user}{'pbgSignatureRowalink'});
	&ToChars(${$uid.$user}{'pbgSignatureRowahoverlink'});
	&ToChars(${$uid.$user}{'pbgSignatureRowvlink'});
	&ToChars(${$uid.$user}{'pbgAdditionalInfoRowurl'});
	&ToChars(${$uid.$user}{'pbgAdditionalInfoRowcolor'});
	&ToChars(${$uid.$user}{'pbgAdditionalInfoRowattachment'});
	&ToChars(${$uid.$user}{'pbgAdditionalInfoRowposition'});
	&ToChars(${$uid.$user}{'pbgAdditionalInfoRowrepeat'});
	&ToChars(${$uid.$user}{'pbgAdditionalInfoRowtextcolor'});
	&ToChars(${$uid.$user}{'pbgAdditionalInfoRowalink'});
	&ToChars(${$uid.$user}{'pbgAdditionalInfoRowahoverlink'});
	&ToChars(${$uid.$user}{'pbgAdditionalInfoRowvlink'});
 	my $scriptAction = qq~profileCSS2~;

	if ($view)	{ 
		$scriptAction = qq~myprofileCSS2~;
		$yytitle = qq~$profile_txt{'editmyprofile'} &rsaquo; $profile_txt{'819'}~;
		$profiletitle = qq~$profile_txt{'editmyprofile'} ($user) &rsaquo; Profile CSS~;
		$yynavigation = qq~&rsaquo; <a href="$scripturl?action=mycenter" class="nav">$img_txt{'mycenter'}</a> &rsaquo; $profiletitle~;
	} else {
		$yytitle = qq~$profile_txt{'79'} &rsaquo; $profile_txt{'819'}~;
		$profiletitle = qq~$profile_txt{'79'} ($user) &rsaquo; Profile CSS~;
		$yynavigation = qq~&rsaquo; $profiletitle~;
	}
	
  
	$showProfile .= qq~
<form action="$scripturl?action=$scriptAction;username=$useraccount{$INFO{'username'}};sid=$INFO{'sid'}" method="post" name="creator" onsubmit="javascript: selectblNames();">
<table cellspacing="1" cellpadding="4" width="100%" align="center" class="bordercolor" border="0">
  <tr>
    <td colspan="2" class="catbg"><img src="$imagesdir/profile.gif" alt="" border="0" /> <b>$profiletitle</b></td>
  </tr>
  ~;
  
  	if (${$uid.$user}{'pbgimgurl'} =~ m~\Ahttp://~) {
			$bgpic = '';
			$pbgimgurl = ${$uid.$user}{'pbgimgurl'};
		} else {
			$bgpic = ${$uid.$user}{'pbgimgurl'};
			$pbgimgurl = 'http://';
		}
		
	$showProfile .= qq~
		<tr>
		<td class="catbg" align="left" colspan="2">
			<img src="$imagesdir/profile.gif" alt="" border="0" style="vertical-align: middle;" />&nbsp;
			<span class="text1"><b>Container</b></span>
		</td>
		</tr><tr class="windowbg">
          <td align="left"><b>$lang_pcss{'pbgimg'}: </b></td>
          <td align="left"><input type="text" name="pbgimgurl" size="40" value="$pbgimgurl" maxlength="420" /></td>
        </tr>
    ~;

	 if (${$uid.$user}{'pbgcolor'} =~ m~\#~) {
			$color = '';
			$pbgcolor = ${$uid.$user}{'pbgcolor'};
		} else {
			$color =	${$uid.$user}{'pbgcolor'};
			$pbgcolor = '#';
		}			
		
	$showProfile .= qq~		
<tr class="windowbg">
          <td align="left"><b>$lang_pcss{'pbgcolor'}: </b></td>
          <td align="left"><input type="text" name="pbgcolor" size="12" value="$pbgcolor" maxlength="12" /></td>
        </tr>
  ~;

  if (${$uid.$user}{'pbgimgattachment'} = '') {
  		$pbgimgattachment = ${$uid.$user}{'pbgimgattachment'};
		}

	$showProfile .= qq~<tr class="windowbg">
   <td width="220" align="left"><b>$lang_pcss{'pbgimgattachment'}: </b></td>
   <td align="left"><select name="pbgimgattachment" size="1"><option value=""></option><option value="scroll"$pbgimgattachmentscroll>$lang_pcss{'pbgimgattachmentscroll'}</option><option value="fixed"$pbgimgattachmentfixed>$lang_pcss{'pbgimgattachmentfixed'}</option></select></td>
 </tr>
     ~;

  	if (${$uid.$user}{'pbgimgposition'} = '') {
  			$pbgimgposition = ${$uid.$user}{'pbgimgposition'};
		}

	$showProfile .= qq~<tr class="windowbg">
   <td width="220" align="left"><b>$lang_pcss{'pbgimgposition'}: </b></td>
   <td align="left"><select name="pbgimgposition" size="1"><option value=""></option><option value="top left"$pbgimgpositiontopleft>$lang_pcss{'pbgimgpositiontopleft'}</option><option value="top center"$pbgimgpositiontopcenter>$lang_pcss{'pbgimgpositiontopcenter'}</option><option value="top right"$pbgimgpositiontopright>$lang_pcss{'pbgimgpositiontopright'}</option><option value="center left"$pbgimgpositioncenterleft>$lang_pcss{'pbgimgpositioncenterleft'}</option><option value="center center"$pbgimgpositioncentercenter>$lang_pcss{'pbgimgpositioncentercenter'}</option><option value="center right"$pbgimgpositioncenterright>$lang_pcss{'pbgimgpositioncenterright'}</option><option value="bottom left"$pbgimgpositionbottomleft>$lang_pcss{'pbgimgpositionbottomleft'}</option><option value="bottom center"$pbgimgpositionbottomcenter>$lang_pcss{'pbgimgpositionbottomcenter'}</option><option value="bottom right"$pbgimgpositionbottomright>$lang_pcss{'pbgimgpositionbottomright'}</option></select></td>
 </tr>
     ~;

  if (${$uid.$user}{'pbgimgrepeat'} = '') {
  		$pbgimgrepeat = ${$uid.$user}{'pbgimgrepeat'};
		}

	$showProfile .= qq~<tr class="windowbg">
   <td width="220" align="left"><b>$lang_pcss{'pbgimgrepeat'}: </b></td>
   <td align="left"><select name="pbgimgrepeat" size="1"><option value=""></option><option value="repeat"$pbgimgattachmentrepeatyes>$lang_pcss{'pbgimgrepeatyes'}</option><option value="repeat-x"$pbgimgrepeatx>$lang_pcss{'pbgimgrepeatx'}</option><option value="repeat-y"$pbgimgrepeaty>$lang_pcss{'pbgimgrepeaty'}</option><option value="no-repeat"$pbgimgrepeatno>$lang_pcss{'pbgimgrepeatno'}</option></select></td>
 </tr>
    ~;
## pbgPicRow
	 	if (${$uid.$user}{'pbgPicRowurl'} =~ m~\Ahttp://~) {
			$bgpic = '';
			$pbgPicRowurl = ${$uid.$user}{'pbgPicRowurl'};
		} else {
			$bgpic = ${$uid.$user}{'pbgPicRowurl'};
			$pbgPicRowurl = 'http://';
		}
		
	$showProfile .= qq~		<tr>
		<td class="catbg" align="left" colspan="2">
			<img src="$imagesdir/profile.gif" alt="" border="0" style="vertical-align: middle;" />&nbsp;
			<span class="text1"><b>PicRow</b></span>
		</td>
		</tr>
<tr class="windowbg">
          <td align="left"><b>$lang_pcss{'pbgimg'}: </b></td>
          <td align="left"><input type="text" name="pbgPicRowurl" size="40" value="$pbgPicRowurl" maxlength="420" /></td>
        </tr>
    ~;

	 	if (${$uid.$user}{'pbgPicRowcolor'} =~ m~\#~) {
			$color = '';
			$pbgPicRowcolor = ${$uid.$user}{'pbgPicRowcolor'};
		} else {
			$color =	${$uid.$user}{'pbgPicRowcolor'};
			$pbgPicRowcolor = '#';
		}	

	$showProfile .= qq~		
<tr class="windowbg">
          <td align="left"><b>$lang_pcss{'pbgcolor'}: </b></td>
          <td align="left"><input type="text" name="pbgPicRowcolor" size="12" value="$pbgPicRowcolor" maxlength="12" /></td>
        </tr>
  ~;

  if (${$uid.$user}{'pbgPicRowattachment'} = '') {
  		$pbgPicRowattachment = ${$uid.$user}{'pbgPicRowattachment'};
		}

	$showProfile .= qq~<tr class="windowbg">
   <td width="220" align="left"><b>$lang_pcss{'pbgimgattachment'}: </b></td>
   <td align="left"><select name="pbgPicRowattachment" size="1"><option value=""></option><option value="scroll"$pbgPicRowattachmentscroll>$lang_pcss{'pbgimgattachmentscroll'}</option><option value="fixed"$pbgPicRowattachmentfixed>$lang_pcss{'pbgimgattachmentfixed'}</option></select></td>
 </tr>
     ~;

  	if (${$uid.$user}{'pbgPicRowposition'} = '') {
  			$pbgPicRowposition = ${$uid.$user}{'pbgPicRowposition'};
		}

	$showProfile .= qq~<tr class="windowbg">
   <td width="220" align="left"><b>$lang_pcss{'pbgimgposition'}: </b></td>
   <td align="left"><select name="pbgPicRowposition" size="1"><option value=""></option><option value="top left"$pbgPicRowpositiontopleft>$lang_pcss{'pbgimgpositiontopleft'}</option><option value="top center"$pbgPicRowpositiontopcenter>$lang_pcss{'pbgimgpositiontopcenter'}</option><option value="top right"$pbgPicRowpositiontopright>$lang_pcss{'pbgimgpositiontopright'}</option><option value="center left"$pbgPicRowpositioncenterleft>$lang_pcss{'pbgimgpositioncenterleft'}</option><option value="center center"$pbgPicRowpositioncentercenter>$lang_pcss{'pbgimgpositioncentercenter'}</option><option value="center right"$pbgPicRowpositioncenterright>$lang_pcss{'pbgimgpositioncenterright'}</option><option value="bottom left"$pbgPicRowpositionbottomleft>$lang_pcss{'pbgimgpositionbottomleft'}</option><option value="bottom center"$pbgPicRowpositionbottomcenter>$lang_pcss{'pbgimgpositionbottomcenter'}</option><option value="bottom right"$pbgPicRowpositionbottomright>$lang_pcss{'pbgimgpositionbottomright'}</option></select></td>
 </tr>
     ~;

  if (${$uid.$user}{'pbgPicRowrepeat'} = '') {
  		$pbgPicRowrepeat = ${$uid.$user}{'pbgPicRowrepeat'};
		}

	$showProfile .= qq~<tr class="windowbg">
   <td width="220" align="left"><b>$lang_pcss{'pbgimgrepeat'}: </b></td>
   <td align="left"><select name="pbgPicRowrepeat" size="1"><option value=""></option><option value="repeat"$pbgPicRowattachmentrepeatyes>$lang_pcss{'pbgimgrepeatyes'}</option><option value="repeat-x"$pbgPicRowrepeatx>$lang_pcss{'pbgimgrepeatx'}</option><option value="repeat-y"$pbgPicRowrepeaty>$lang_pcss{'pbgimgrepeaty'}</option><option value="no-repeat"$pbgPicRowrepeatno>$lang_pcss{'pbgimgrepeatno'}</option></select></td>
 </tr>
    ~;

  	if (${$uid.$user}{'pbgPicRowtextcolor'} =~ m~\#~) {
			$textcolor = '';
			$pbgPicRowtextcolor = ${$uid.$user}{'pbgPicRowtextcolor'};
		} else {
			$textcolor =	${$uid.$user}{'pbgPicRowtextcolor'};
			$pbgPicRowtextcolor = '#';
		}			
		
	$showProfile .= qq~		
<tr class="windowbg">
          <td align="left"><b>$lang_pcss{'ptextcolor'}: </b></td>
          <td align="left"><input type="text" name="pbgPicRowtextcolor" size="10" value="$pbgPicRowtextcolor" maxlength="7" /></td>
        </tr>
  ~;

  	if (${$uid.$user}{'pbgPicRowalink'} =~ m~\#~) {
			$linkcolor = '';
			$pbgPicRowalink = ${$uid.$user}{'pbgPicRowalink'};
		} else {
			$linkcolor =	${$uid.$user}{'pbgPicRowalink'};
			$pbgPicRowalink = '#';
		}			
		
	$showProfile .= qq~<tr class="windowbg">
          <td align="left"><b>$lang_pcss{'palink'}: </b></td>
          <td align="left"><input type="text" name="pbgPicRowalink" size="10" value="$pbgPicRowalink" maxlength="7" /></td>
        </tr>
  ~;
  
	if (${$uid.$user}{'pbgPicRowahoverlink'} =~ m~\#~) {
			$hoverlinkcolor = '';
			$pbgPicRowahoverlink = ${$uid.$user}{'pbgPicRowahoverlink'};
		} else {
			$hoverlinkcolor =	${$uid.$user}{'pbgPicRowahoverlink'};
			$pbgPicRowahoverlink = '#';
		}			
		
	$showProfile .= qq~<tr class="windowbg">
          <td align="left"><b>$lang_pcss{'pahoverlink'}: </b></td>
          <td align="left"><input type="text" name="pbgPicRowahoverlink" size="10" value="$pbgPicRowahoverlink" maxlength="7" /></td>
        </tr>
  ~;

  	if (${$uid.$user}{'pbgPicRowvlink'} =~ m~\#~) {
			$vlinkcolor = '';
			$pbgPicRowvlink = ${$uid.$user}{'pbgPicRowvlink'};
		} else {
			$vlinkcolor =	${$uid.$user}{'pbgPicRowvlink'};
			$pbgPicRowvlink = '#';
		}			
		
	$showProfile .= qq~<tr class="windowbg">
          <td align="left"><b>$lang_pcss{'pvlink'}: </b></td>
          <td align="left"><input type="text" name="pbgPicRowvlink" size="10" value="$pbgPicRowvlink" maxlength="7" /></td>
     </tr>
	~;
## pbgFirstRow
	 	if (${$uid.$user}{'pbgFirstRowurl'} =~ m~\Ahttp://~) {
			$bgpic = '';
			$pbgFirstRowurl = ${$uid.$user}{'pbgFirstRowurl'};
		} else {
			$bgpic = ${$uid.$user}{'pbgFirstRowurl'};
			$pbgFirstRowurl = 'http://';
		}
		
	$showProfile .= qq~		<tr>
		<td class="catbg" align="left" colspan="2">
			<img src="$imagesdir/profile.gif" alt="" border="0" style="vertical-align: middle;" />&nbsp;
			<span class="text1"><b>FirstRow</b></span>
		</td>
		</tr>
<tr class="windowbg">
          <td align="left"><b>$lang_pcss{'pbgimg'}: </b></td>
          <td align="left"><input type="text" name="pbgFirstRowurl" size="40" value="$pbgFirstRowurl" maxlength="420" /></td>
        </tr>
    ~;

	 	if (${$uid.$user}{'pbgFirstRowcolor'} =~ m~\#~) {
			$color = '';
			$pbgFirstRowcolor = ${$uid.$user}{'pbgFirstRowcolor'};
		} else {
			$color =	${$uid.$user}{'pbgFirstRowcolor'};
			$pbgFirstRowcolor = '#';
		}			
		
	$showProfile .= qq~		
<tr class="windowbg">
          <td align="left"><b>$lang_pcss{'pbgcolor'}: </b></td>
          <td align="left"><input type="text" name="pbgFirstRowcolor" size="12" value="$pbgFirstRowcolor" maxlength="12" /></td>
        </tr>
  ~;

  if (${$uid.$user}{'pbgFirstRowattachment'} = '') {
  		$pbgFirstRowattachment = ${$uid.$user}{'pbgFirstRowattachment'};
		}

	$showProfile .= qq~<tr class="windowbg">
   <td width="220" align="left"><b>$lang_pcss{'pbgimgattachment'}: </b></td>
   <td align="left"><select name="pbgFirstRowattachment" size="1"><option value=""></option><option value="scroll"$pbgFirstRowattachmentscroll>$lang_pcss{'pbgimgattachmentscroll'}</option><option value="fixed"$pbgFirstRowattachmentfixed>$lang_pcss{'pbgimgattachmentfixed'}</option></select></td>
 </tr>
     ~;

  	if (${$uid.$user}{'pbgFirstRowposition'} = '') {
  			$pbgFirstRowposition = ${$uid.$user}{'pbgFirstRowposition'};
		}

	$showProfile .= qq~<tr class="windowbg">
   <td width="220" align="left"><b>$lang_pcss{'pbgimgposition'}: </b></td>
   <td align="left"><select name="pbgFirstRowposition" size="1"><option value=""></option><option value="top left"$pbgFirstRowpositiontopleft>$lang_pcss{'pbgimgpositiontopleft'}</option><option value="top center"$pbgFirstRowpositiontopcenter>$lang_pcss{'pbgimgpositiontopcenter'}</option><option value="top right"$pbgFirstRowpositiontopright>$lang_pcss{'pbgimgpositiontopright'}</option><option value="center left"$pbgFirstRowpositioncenterleft>$lang_pcss{'pbgimgpositioncenterleft'}</option><option value="center center"$pbgFirstRowpositioncentercenter>$lang_pcss{'pbgimgpositioncentercenter'}</option><option value="center right"$pbgFirstRowpositioncenterright>$lang_pcss{'pbgimgpositioncenterright'}</option><option value="bottom left"$pbgFirstRowpositionbottomleft>$lang_pcss{'pbgimgpositionbottomleft'}</option><option value="bottom center"$pbgFirstRowpositionbottomcenter>$lang_pcss{'pbgimgpositionbottomcenter'}</option><option value="bottom right"$pbgFirstRowpositionbottomright>$lang_pcss{'pbgimgpositionbottomright'}</option></select></td>
 </tr>
     ~;

  if (${$uid.$user}{'pbgFirstRowrepeat'} = '') {
  		$pbgFirstRowrepeat = ${$uid.$user}{'pbgFirstRowrepeat'};
		}

	$showProfile .= qq~<tr class="windowbg">
   <td width="220" align="left"><b>$lang_pcss{'pbgimgrepeat'}: </b></td>
   <td align="left"><select name="pbgFirstRowrepeat" size="1"><option value=""></option><option value="repeat"$pbgFirstRowattachmentrepeatyes>$lang_pcss{'pbgimgrepeatyes'}</option><option value="repeat-x"$pbgFirstRowrepeatx>$lang_pcss{'pbgimgrepeatx'}</option><option value="repeat-y"$pbgFirstRowrepeaty>$lang_pcss{'pbgimgrepeaty'}</option><option value="no-repeat"$pbgFirstRowrepeatno>$lang_pcss{'pbgimgrepeatno'}</option></select></td>
 </tr>
    ~;
  	if (${$uid.$user}{'pbgFirstRowtextcolor'} =~ m~\#~) {
			$textcolor = '';
			$pbgFirstRowtextcolor = ${$uid.$user}{'pbgFirstRowtextcolor'};
		} else {
			$textcolor =	${$uid.$user}{'pbgFirstRowtextcolor'};
			$pbgFirstRowtextcolor = '#';
		}			
		
	$showProfile .= qq~		
<tr class="windowbg">
          <td align="left"><b>$lang_pcss{'ptextcolor'}: </b></td>
          <td align="left"><input type="text" name="pbgFirstRowtextcolor" size="10" value="$pbgFirstRowtextcolor" maxlength="7" /></td>
        </tr>
  ~;

  	if (${$uid.$user}{'pbgFirstRowalink'} =~ m~\#~) {
			$linkcolor = '';
			$pbgFirstRowalink = ${$uid.$user}{'pbgFirstRowalink'};
		} else {
			$linkcolor =	${$uid.$user}{'pbgFirstRowalink'};
			$pbgFirstRowalink = '#';
		}			
		
	$showProfile .= qq~<tr class="windowbg">
          <td align="left"><b>$lang_pcss{'palink'}: </b></td>
          <td align="left"><input type="text" name="pbgFirstRowalink" size="10" value="$pbgFirstRowalink" maxlength="7" /></td>
        </tr>
  ~;
  
	if (${$uid.$user}{'pbgFirstRowahoverlink'} =~ m~\#~) {
			$hoverlinkcolor = '';
			$pbgFirstRowahoverlink = ${$uid.$user}{'pbgFirstRowahoverlink'};
		} else {
			$hoverlinkcolor =	${$uid.$user}{'pbgFirstRowahoverlink'};
			$pbgFirstRowahoverlink = '#';
		}			
		
	$showProfile .= qq~<tr class="windowbg">
          <td align="left"><b>$lang_pcss{'pahoverlink'}: </b></td>
          <td align="left"><input type="text" name="pbgFirstRowahoverlink" size="10" value="$pbgFirstRowahoverlink" maxlength="7" /></td>
        </tr>
  ~;

  	if (${$uid.$user}{'pbgFirstRowvlink'} =~ m~\#~) {
			$vlinkcolor = '';
			$pbgFirstRowvlink = ${$uid.$user}{'pbgFirstRowvlink'};
		} else {
			$vlinkcolor =	${$uid.$user}{'pbgFirstRowvlink'};
			$pbgFirstRowvlink = '#';
		}			
		
	$showProfile .= qq~<tr class="windowbg">
          <td align="left"><b>$lang_pcss{'pvlink'}: </b></td>
          <td align="left"><input type="text" name="pbgFirstRowvlink" size="10" value="$pbgFirstRowvlink" maxlength="7" /></td>
     </tr>
	~;
## pbgContactRow
	 	if (${$uid.$user}{'pbgContactRowurl'} =~ m~\Ahttp://~) {
			$bgpic = '';
			$pbgContactRowurl = ${$uid.$user}{'pbgContactRowurl'};
		} else {
			$bgpic = ${$uid.$user}{'pbgContactRowurl'};
			$pbgContactRowurl = 'http://';
		}
		
	$showProfile .= qq~		<tr>
		<td class="catbg" align="left" colspan="2">
			<img src="$imagesdir/profile.gif" alt="" border="0" style="vertical-align: middle;" />&nbsp;
			<span class="text1"><b>ContactRow</b></span>
		</td>
		</tr>
<tr class="windowbg">
          <td align="left"><b>$lang_pcss{'pbgimg'}: </b></td>
          <td align="left"><input type="text" name="pbgContactRowurl" size="40" value="$pbgContactRowurl" maxlength="420" /></td>
        </tr>
    ~;

	 	if (${$uid.$user}{'pbgContactRowcolor'} =~ m~\#~) {
			$color = '';
			$pbgContactRowcolor = ${$uid.$user}{'pbgContactRowcolor'};
		} else {
			$color =	${$uid.$user}{'pbgContactRowcolor'};
			$pbgContactRowcolor = '#';
		}			
		
	$showProfile .= qq~		
<tr class="windowbg">
          <td align="left"><b>$lang_pcss{'pbgcolor'}: </b></td>
          <td align="left"><input type="text" name="pbgContactRowcolor" size="12" value="$pbgContactRowcolor" maxlength="12" /></td>
        </tr>
  ~;

  if (${$uid.$user}{'pbgContactRowattachment'} = '') {
  		$pbgContactRowattachment = ${$uid.$user}{'pbgContactRowattachment'};
		}

	$showProfile .= qq~<tr class="windowbg">
   <td width="220" align="left"><b>$lang_pcss{'pbgimgattachment'}: </b></td>
   <td align="left"><select name="pbgContactRowattachment" size="1"><option value=""></option><option value="scroll"$pbgContactRowattachmentscroll>$lang_pcss{'pbgimgattachmentscroll'}</option><option value="fixed"$pbgContactRowattachmentfixed>$lang_pcss{'pbgimgattachmentfixed'}</option></select></td>
 </tr>
     ~;

  	if (${$uid.$user}{'pbgContactRowposition'} = '') {
  			$pbgContactRowposition = ${$uid.$user}{'pbgContactRowposition'};
		}

	$showProfile .= qq~<tr class="windowbg">
   <td width="220" align="left"><b>$lang_pcss{'pbgimgposition'}: </b></td>
   <td align="left"><select name="pbgContactRowposition" size="1"><option value=""></option><option value="top left"$pbgContactRowpositiontopleft>$lang_pcss{'pbgimgpositiontopleft'}</option><option value="top center"$pbgContactRowpositiontopcenter>$lang_pcss{'pbgimgpositiontopcenter'}</option><option value="top right"$pbgContactRowpositiontopright>$lang_pcss{'pbgimgpositiontopright'}</option><option value="center left"$pbgContactRowpositioncenterleft>$lang_pcss{'pbgimgpositioncenterleft'}</option><option value="center center"$pbgContactRowpositioncentercenter>$lang_pcss{'pbgimgpositioncentercenter'}</option><option value="center right"$pbgContactRowpositioncenterright>$lang_pcss{'pbgimgpositioncenterright'}</option><option value="bottom left"$pbgContactRowpositionbottomleft>$lang_pcss{'pbgimgpositionbottomleft'}</option><option value="bottom center"$pbgContactRowpositionbottomcenter>$lang_pcss{'pbgimgpositionbottomcenter'}</option><option value="bottom right"$pbgContactRowpositionbottomright>$lang_pcss{'pbgimgpositionbottomright'}</option></select></td>
 </tr>
     ~;

  if (${$uid.$user}{'pbgContactRowrepeat'} = '') {
  		$pbgContactRowrepeat = ${$uid.$user}{'pbgContactRowrepeat'};
		}

	$showProfile .= qq~<tr class="windowbg">
   <td width="220" align="left"><b>$lang_pcss{'pbgimgrepeat'}: </b></td>
   <td align="left"><select name="pbgContactRowrepeat" size="1"><option value=""></option><option value="repeat"$pbgContactRowattachmentrepeatyes>$lang_pcss{'pbgimgrepeatyes'}</option><option value="repeat-x"$pbgContactRowrepeatx>$lang_pcss{'pbgimgrepeatx'}</option><option value="repeat-y"$pbgContactRowrepeaty>$lang_pcss{'pbgimgrepeaty'}</option><option value="no-repeat"$pbgContactRowrepeatno>$lang_pcss{'pbgimgrepeatno'}</option></select></td>
 </tr>
    ~;
  	if (${$uid.$user}{'pbgContactRowtextcolor'} =~ m~\#~) {
			$textcolor = '';
			$pbgContactRowtextcolor = ${$uid.$user}{'pbgContactRowtextcolor'};
		} else {
			$textcolor =	${$uid.$user}{'pbgContactRowtextcolor'};
			$pbgContactRowtextcolor = '#';
		}			
		
	$showProfile .= qq~		
<tr class="windowbg">
          <td align="left"><b>$lang_pcss{'ptextcolor'}: </b></td>
          <td align="left"><input type="text" name="pbgContactRowtextcolor" size="10" value="$pbgContactRowtextcolor" maxlength="7" /></td>
        </tr>
  ~;

  	if (${$uid.$user}{'pbgContactRowalink'} =~ m~\#~) {
			$linkcolor = '';
			$pbgContactRowalink = ${$uid.$user}{'pbgContactRowalink'};
		} else {
			$linkcolor =	${$uid.$user}{'pbgContactRowalink'};
			$pbgContactRowalink = '#';
		}			
		
	$showProfile .= qq~<tr class="windowbg">
          <td align="left"><b>$lang_pcss{'palink'}: </b></td>
          <td align="left"><input type="text" name="pbgContactRowalink" size="10" value="$pbgContactRowalink" maxlength="7" /></td>
        </tr>
  ~;
  
	if (${$uid.$user}{'pbgContactRowahoverlink'} =~ m~\#~) {
			$hoverlinkcolor = '';
			$pbgContactRowahoverlink = ${$uid.$user}{'pbgContactRowahoverlink'};
		} else {
			$hoverlinkcolor =	${$uid.$user}{'pbgContactRowahoverlink'};
			$pbgContactRowahoverlink = '#';
		}			
		
	$showProfile .= qq~<tr class="windowbg">
          <td align="left"><b>$lang_pcss{'pahoverlink'}: </b></td>
          <td align="left"><input type="text" name="pbgContactRowahoverlink" size="10" value="$pbgContactRowahoverlink" maxlength="7" /></td>
        </tr>
  ~;

  	if (${$uid.$user}{'pbgContactRowvlink'} =~ m~\#~) {
			$vlinkcolor = '';
			$pbgContactRowvlink = ${$uid.$user}{'pbgContactRowvlink'};
		} else {
			$vlinkcolor =	${$uid.$user}{'pbgContactRowvlink'};
			$pbgContactRowvlink = '#';
		}			
		
	$showProfile .= qq~<tr class="windowbg">
          <td align="left"><b>$lang_pcss{'pvlink'}: </b></td>
          <td align="left"><input type="text" name="pbgContactRowvlink" size="10" value="$pbgContactRowvlink" maxlength="7" /></td>
     </tr>
	~;
  ## pbgSignatureRow
	 	if (${$uid.$user}{'pbgSignatureRowurl'} =~ m~\Ahttp://~) {
			$bgpic = '';
			$pbgSignatureRowurl = ${$uid.$user}{'pbgSignatureRowurl'};
		} else {
			$bgpic = ${$uid.$user}{'pbgSignatureRowurl'};
			$pbgSignatureRowurl = 'http://';
		}
		
	$showProfile .= qq~		<tr>
		<td class="catbg" align="left" colspan="2">
			<img src="$imagesdir/profile.gif" alt="" border="0" style="vertical-align: middle;" />&nbsp;
			<span class="text1"><b>$profile_txt{'85'}Row</b></span>
		</td>
		</tr>
<tr class="windowbg">
          <td align="left"><b>$lang_pcss{'pbgimg'}: </b></td>
          <td align="left"><input type="text" name="pbgSignatureRowurl" size="40" value="$pbgSignatureRowurl" maxlength="420" /></td>
        </tr>
    ~;

 	 	if (${$uid.$user}{'pbgSignatureRowcolor'} =~ m~\#~) {
			$color = '';
			$pbgSignatureRowcolor = ${$uid.$user}{'pbgSignatureRowcolor'};
		} else {
			$color =	${$uid.$user}{'pbgSignatureRowcolor'};
			$pbgSignatureRowcolor = '#';
		}			
		
	$showProfile .= qq~		
<tr class="windowbg">
          <td align="left"><b>$lang_pcss{'pbgcolor'}: </b></td>
          <td align="left"><input type="text" name="pbgSignatureRowcolor" size="12" value="$pbgSignatureRowcolor" maxlength="12" /></td>
        </tr>
  ~;

  if (${$uid.$user}{'pbgSignatureRowattachment'} = '') {
  		$pbgSignatureRowattachment = ${$uid.$user}{'pbgSignatureRowattachment'};
		}

	$showProfile .= qq~<tr class="windowbg">
   <td width="220" align="left"><b>$lang_pcss{'pbgimgattachment'}: </b></td>
   <td align="left"><select name="pbgSignatureRowattachment" size="1"><option value=""></option><option value="scroll"$pbgSignatureRowattachmentscroll>$lang_pcss{'pbgimgattachmentscroll'}</option><option value="fixed"$pbgSignatureRowattachmentfixed>$lang_pcss{'pbgimgattachmentfixed'}</option></select></td>
 </tr>
     ~;

  	if (${$uid.$user}{'pbgSignatureRowposition'} = '') {
  			$pbgSignatureRowposition = ${$uid.$user}{'pbgSignatureRowposition'};
		}

	$showProfile .= qq~<tr class="windowbg">
   <td width="220" align="left"><b>$lang_pcss{'pbgimgposition'}: </b></td>
   <td align="left"><select name="pbgSignatureRowposition" size="1"><option value=""></option><option value="top left"$pbgSignatureRowpositiontopleft>$lang_pcss{'pbgimgpositiontopleft'}</option><option value="top center"$pbgSignatureRowpositiontopcenter>$lang_pcss{'pbgimgpositiontopcenter'}</option><option value="top right"$pbgSignatureRowpositiontopright>$lang_pcss{'pbgimgpositiontopright'}</option><option value="center left"$pbgSignatureRowpositioncenterleft>$lang_pcss{'pbgimgpositioncenterleft'}</option><option value="center center"$pbgSignatureRowpositioncentercenter>$lang_pcss{'pbgimgpositioncentercenter'}</option><option value="center right"$pbgSignatureRowpositioncenterright>$lang_pcss{'pbgimgpositioncenterright'}</option><option value="bottom left"$pbgSignatureRowpositionbottomleft>$lang_pcss{'pbgimgpositionbottomleft'}</option><option value="bottom center"$pbgSignatureRowpositionbottomcenter>$lang_pcss{'pbgimgpositionbottomcenter'}</option><option value="bottom right"$pbgSignatureRowpositionbottomright>$lang_pcss{'pbgimgpositionbottomright'}</option></select></td>
 </tr>
     ~;

  if (${$uid.$user}{'pbgSignatureRowrepeat'} = '') {
  		$pbgSignatureRowrepeat = ${$uid.$user}{'pbgSignatureRowrepeat'};
		}

	$showProfile .= qq~<tr class="windowbg">
   <td width="220" align="left"><b>$lang_pcss{'pbgimgrepeat'}: </b></td>
   <td align="left"><select name="pbgSignatureRowrepeat" size="1"><option value=""></option><option value="repeat"$pbgSignatureRowattachmentrepeatyes>$lang_pcss{'pbgimgrepeatyes'}</option><option value="repeat-x"$pbgSignatureRowrepeatx>$lang_pcss{'pbgimgrepeatx'}</option><option value="repeat-y"$pbgSignatureRowrepeaty>$lang_pcss{'pbgimgrepeaty'}</option><option value="no-repeat"$pbgSignatureRowrepeatno>$lang_pcss{'pbgimgrepeatno'}</option></select></td>
 </tr>
    ~;
  	if (${$uid.$user}{'pbgSignatureRowtextcolor'} =~ m~\#~) {
			$textcolor = '';
			$pbgSignatureRowtextcolor = ${$uid.$user}{'pbgSignatureRowtextcolor'};
		} else {
			$textcolor =	${$uid.$user}{'pbgSignatureRowtextcolor'};
			$pbgSignatureRowtextcolor = '#';
		}			
		
	$showProfile .= qq~		
<tr class="windowbg">
          <td align="left"><b>$lang_pcss{'ptextcolor'}: </b></td>
          <td align="left"><input type="text" name="pbgSignatureRowtextcolor" size="10" value="$pbgSignatureRowtextcolor" maxlength="7" /></td>
        </tr>
  ~;

  	if (${$uid.$user}{'pbgSignatureRowalink'} =~ m~\#~) {
			$linkcolor = '';
			$pbgSignatureRowalink = ${$uid.$user}{'pbgSignatureRowalink'};
		} else {
			$linkcolor =	${$uid.$user}{'pbgSignatureRowalink'};
			$pbgSignatureRowalink = '#';
		}			
		
	$showProfile .= qq~<tr class="windowbg">
          <td align="left"><b>$lang_pcss{'palink'}: </b></td>
          <td align="left"><input type="text" name="pbgSignatureRowalink" size="10" value="$pbgSignatureRowalink" maxlength="7" /></td>
        </tr>
  ~;
  
	if (${$uid.$user}{'pbgSignatureRowahoverlink'} =~ m~\#~) {
			$hoverlinkcolor = '';
			$pbgSignatureRowahoverlink = ${$uid.$user}{'pbgSignatureRowahoverlink'};
		} else {
			$hoverlinkcolor =	${$uid.$user}{'pbgSignatureRowahoverlink'};
			$pbgSignatureRowahoverlink = '#';
		}			
		
	$showProfile .= qq~<tr class="windowbg">
          <td align="left"><b>$lang_pcss{'pahoverlink'}: </b></td>
          <td align="left"><input type="text" name="pbgSignatureRowahoverlink" size="10" value="$pbgSignatureRowahoverlink" maxlength="7" /></td>
        </tr>
  ~;

  	if (${$uid.$user}{'pbgSignatureRowvlink'} =~ m~\#~) {
			$vlinkcolor = '';
			$pbgSignatureRowvlink = ${$uid.$user}{'pbgSignatureRowvlink'};
		} else {
			$vlinkcolor =	${$uid.$user}{'pbgSignatureRowvlink'};
			$pbgSignatureRowvlink = '#';
		}			
		
	$showProfile .= qq~<tr class="windowbg">
          <td align="left"><b>$lang_pcss{'pvlink'}: </b></td>
          <td align="left"><input type="text" name="pbgSignatureRowvlink" size="10" value="$pbgSignatureRowvlink" maxlength="7" /></td>
     </tr>
	~;
##  pbgAdditionalInfoRow
	 	if (${$uid.$user}{'pbgAdditionalInfoRowurl'} =~ m~\Ahttp://~) {
			$bgpic = '';
			$pbgAdditionalInfoRowurl = ${$uid.$user}{'pbgAdditionalInfoRowurl'};
		} else {
			$bgpic = ${$uid.$user}{'pbgAdditionalInfoRowurl'};
			$pbgAdditionalInfoRowurl = 'http://';
		}
		
	$showProfile .= qq~		<tr>
		<td class="catbg" align="left" colspan="2">
			<img src="$imagesdir/profile.gif" alt="" border="0" style="vertical-align: middle;" />&nbsp;
			<span class="text1"><b>AdditionalInfoRow</b></span>
		</td>
		</tr>
<tr class="windowbg">
          <td align="left"><b>$lang_pcss{'pbgimg'}: </b></td>
          <td align="left"><input type="text" name="pbgAdditionalInfoRowurl" size="40" value="$pbgAdditionalInfoRowurl" maxlength="420" /></td>
        </tr>
    ~;

	 	if (${$uid.$user}{'pbgAdditionalInfoRowcolor'} =~ m~\#~) {
			$color = '';
			$pbgAdditionalInfoRowcolor = ${$uid.$user}{'pbgAdditionalInfoRowcolor'};
		} else {
			$color =	${$uid.$user}{'pbgAdditionalInfoRowcolor'};
			$pbgAdditionalInfoRowcolor = '#';
		}			
		
	$showProfile .= qq~		
<tr class="windowbg">
          <td align="left"><b>$lang_pcss{'pbgcolor'}: </b></td>
          <td align="left"><input type="text" name="pbgAdditionalInfoRowcolor" size="12" value="$pbgAdditionalInfoRowcolor" maxlength="12" /></td>
        </tr>
  ~;

  if (${$uid.$user}{'pbgAdditionalInfoRowattachment'} = '') {
  		$pbgAdditionalInfoRowattachment = ${$uid.$user}{'pbgAdditionalInfoRowattachment'};
		}

	$showProfile .= qq~<tr class="windowbg">
   <td width="220" align="left"><b>$lang_pcss{'pbgimgattachment'}: </b></td>
   <td align="left"><select name="pbgAdditionalInfoRowattachment" size="1"><option value=""></option><option value="scroll"$pbgAdditionalInfoRowattachmentscroll>$lang_pcss{'pbgimgattachmentscroll'}</option><option value="fixed"$pbgAdditionalInfoRowattachmentfixed>$lang_pcss{'pbgimgattachmentfixed'}</option></select></td>
 </tr>
     ~;

  	if (${$uid.$user}{'pbgAdditionalInfoRowposition'} = '') {
  			$pbgAdditionalInfoRowposition = ${$uid.$user}{'pbgAdditionalInfoRowposition'};
		}

	$showProfile .= qq~<tr class="windowbg">
   <td width="220" align="left"><b>$lang_pcss{'pbgimgposition'}: </b></td>
   <td align="left"><select name="pbgAdditionalInfoRowposition" size="1"><option value=""></option><option value="top left"$pbgAdditionalInfoRowpositiontopleft>$lang_pcss{'pbgimgpositiontopleft'}</option><option value="top center"$pbgAdditionalInfoRowpositiontopcenter>$lang_pcss{'pbgimgpositiontopcenter'}</option><option value="top right"$pbgAdditionalInfoRowpositiontopright>$lang_pcss{'pbgimgpositiontopright'}</option><option value="center left"$pbgAdditionalInfoRowpositioncenterleft>$lang_pcss{'pbgimgpositioncenterleft'}</option><option value="center center"$pbgAdditionalInfoRowpositioncentercenter>$lang_pcss{'pbgimgpositioncentercenter'}</option><option value="center right"$pbgAdditionalInfoRowpositioncenterright>$lang_pcss{'pbgimgpositioncenterright'}</option><option value="bottom left"$pbgAdditionalInfoRowpositionbottomleft>$lang_pcss{'pbgimgpositionbottomleft'}</option><option value="bottom center"$pbgAdditionalInfoRowpositionbottomcenter>$lang_pcss{'pbgimgpositionbottomcenter'}</option><option value="bottom right"$pbgAdditionalInfoRowpositionbottomright>$lang_pcss{'pbgimgpositionbottomright'}</option></select></td>
 </tr>
     ~;

  if (${$uid.$user}{'pbgAdditionalInfoRowrepeat'} = '') {
  		$pbgAdditionalInfoRowrepeat = ${$uid.$user}{'pbgAdditionalInfoRowrepeat'};
		}

	$showProfile .= qq~<tr class="windowbg">
   <td width="220" align="left"><b>$lang_pcss{'pbgimgrepeat'}: </b></td>
   <td align="left"><select name="pbgAdditionalInfoRowrepeat" size="1"><option value=""></option><option value="repeat"$pbgAdditionalInfoRowattachmentrepeatyes>$lang_pcss{'pbgimgrepeatyes'}</option><option value="repeat-x"$pbgAdditionalInfoRowrepeatx>$lang_pcss{'pbgimgrepeatx'}</option><option value="repeat-y"$pbgAdditionalInfoRowrepeaty>$lang_pcss{'pbgimgrepeaty'}</option><option value="no-repeat"$pbgAdditionalInfoRowrepeatno>$lang_pcss{'pbgimgrepeatno'}</option></select></td>
 </tr>
    ~;
  	if (${$uid.$user}{'pbgAdditionalInfoRowtextcolor'} =~ m~\#~) {
			$textcolor = '';
			$pbgAdditionalInfoRowtextcolor = ${$uid.$user}{'pbgAdditionalInfoRowtextcolor'};
		} else {
			$textcolor =	${$uid.$user}{'pbgAdditionalInfoRowtextcolor'};
			$pbgAdditionalInfoRowtextcolor = '#';
		}			
		
	$showProfile .= qq~		
<tr class="windowbg">
          <td align="left"><b>$lang_pcss{'ptextcolor'}: </b></td>
          <td align="left"><input type="text" name="pbgAdditionalInfoRowtextcolor" size="10" value="$pbgAdditionalInfoRowtextcolor" maxlength="7" /></td>
        </tr>
  ~;

  	if (${$uid.$user}{'pbgAdditionalInfoRowalink'} =~ m~\#~) {
			$linkcolor = '';
			$pbgAdditionalInfoRowalink = ${$uid.$user}{'pbgAdditionalInfoRowalink'};
		} else {
			$linkcolor =	${$uid.$user}{'pbgAdditionalInfoRowalink'};
			$pbgAdditionalInfoRowalink = '#';
		}			
		
	$showProfile .= qq~<tr class="windowbg">
          <td align="left"><b>$lang_pcss{'palink'}: </b></td>
          <td align="left"><input type="text" name="pbgAdditionalInfoRowalink" size="10" value="$pbgAdditionalInfoRowalink" maxlength="7" /></td>
        </tr>
  ~;
  
	if (${$uid.$user}{'pbgAdditionalInfoRowahoverlink'} =~ m~\#~) {
			$hoverlinkcolor = '';
			$pbgAdditionalInfoRowahoverlink = ${$uid.$user}{'pbgAdditionalInfoRowahoverlink'};
		} else {
			$hoverlinkcolor =	${$uid.$user}{'pbgAdditionalInfoRowahoverlink'};
			$pbgAdditionalInfoRowahoverlink = '#';
		}			
		
	$showProfile .= qq~<tr class="windowbg">
          <td align="left"><b>$lang_pcss{'pahoverlink'}: </b></td>
          <td align="left"><input type="text" name="pbgAdditionalInfoRowahoverlink" size="10" value="$pbgAdditionalInfoRowahoverlink" maxlength="7" /></td>
        </tr>
  ~;

  	if (${$uid.$user}{'pbgAdditionalInfoRowvlink'} =~ m~\#~) {
			$vlinkcolor = '';
			$pbgAdditionalInfoRowvlink = ${$uid.$user}{'pbgAdditionalInfoRowvlink'};
		} else {
			$vlinkcolor =	${$uid.$user}{'pbgAdditionalInfoRowvlink'};
			$pbgAdditionalInfoRowvlink = '#';
		}			
		
	$showProfile .= qq~<tr class="windowbg">
          <td align="left"><b>$lang_pcss{'pvlink'}: </b></td>
          <td align="left"><input type="text" name="pbgAdditionalInfoRowvlink" size="10" value="$pbgAdditionalInfoRowvlink" maxlength="7" /></td>
     </tr>
	~;
	
	$showProfile .= qq~<tr class="catbg">
     	<td height="30" valign="middle" align="center" colspan="2"><input type="submit" name="moda" value="$profile_txt{'88'}" class="button" /></td>
     </tr>
</table>
</form>
~;

		if (!$view) {
		$yymain .= $showProfile;
		&template;
		exit;
	}
}

sub ModifyProfileAdmin {
	&SidCheck($action);

	&is_admin_or_gmod;
	&PrepareProfile;

	my $user = $INFO{'username'};
	if (!${$uid.$user}{'password'}) { &LoadUser($user); }

	$menucolors[6] = "titlebg";
	if (!$view) { &ProfileMenu; }
</replace>

<search for>
	&UserAccount($user, "update");

	my $scriptAction = qq~viewprofile~;
	if ($iamadmin || ($iamgmod && $allow_gmod_profile && $gmod_access2{'profileAdmin'} eq 'on')) {
		$scriptAction = qq~profileAdmin~;
	}
	if ($view)	{ $scriptAction = qq~my~ . $scriptAction; }
	$yySetLocation = qq~$scripturl?action=$scriptAction;username=$useraccount{$member{'username'}};sid=$INFO{'sid'}~;
	&redirectexit;
}
</search for>

<replace>
	&UserAccount($user, "update");	
	
	my $scriptAction = qq~profileCSS~;
	if ($view)	{ $scriptAction = qq~my~ . $scriptAction; }
	$yySetLocation = qq~$scripturl?action=$scriptAction;username=$useraccount{$member{'username'}};sid=$INFO{'sid'}~;
	&redirectexit;
}

sub profileCSS2 {
	&SidCheck($action);

	my (%member, $key, $value, $tempname);
	while (($key, $value) = each(%FORM)) {
		$value =~ s~\A\s+~~;
		$value =~ s~\s+\Z~~;
		$value =~ s~[\n\r]~~g;
		$member{$key} = $value;
	}
	
	my $user = $INFO{'username'};
	$member{'username'} = $user;
	if (!${$uid.$user}{'password'}) { &LoadUser($user); }
	
	# make sure this person has access to this profile
	if ($user ne $username && !$iamadmin && (!$iamgmod || !$allow_gmod_profile)) { &fatal_error("not_allowed_profile_change"); }
	
	if ($member{'moda'} eq $profile_txt{'88'}) {
		# let's restore the name now
		&ToHTML($tempname);
		$member{'name'} = $tempname;
		&ToChars($member{'name'});

		&ToHTML($member{'pbgimgurl'});
		&FromChars($member{'pbgimgurl'});
  	&ToHTML($member{'pbgcolor'});
		&FromChars($member{'pbgcolor'});
		&ToHTML($member{'pbgimgattahment'});
		&ToHTML($member{'pbgimgposition'});
		&ToHTML($member{'pbgimgrepeat'});

		&ToHTML($member{'pbgPicRowurl'});
		&FromChars($member{'pbgPicRowurl'});
  	&ToHTML($member{'pbgPicRowcolor'});
		&FromChars($member{'pbgPicRowcolor'});
		&ToHTML($member{'pbgPicRowattahment'});
		&ToHTML($member{'pbgPicRowposition'});
		&ToHTML($member{'pbgPicRowrepeat'});

		&ToHTML($member{'pbgPicRowtextcolor'});
		&FromChars($member{'pbgPicRowtextcolor'});
		&ToHTML($member{'pbgPicRowalink'});
		&FromChars($member{'pbgPicRowalink'});
		&ToHTML($member{'pbgPicRowahoverlink'});
		&FromChars($member{'pbgPicRowahoverlink'});
		&ToHTML($member{'pbgPicRowvlink'});
		&FromChars($member{'pbgPicRowvlink'});

		&ToHTML($member{'pbgSignatureRowurl'});
		&FromChars($member{'pbgSignatureRowurl'});
  	&ToHTML($member{'pbgSignatureRowcolor'});
		&FromChars($member{'pbgSignatureRowcolor'});
		&ToHTML($member{'pbgSignatureRowattahment'});
		&ToHTML($member{'pbgSignatureRowposition'});
		&ToHTML($member{'pbgSignatureRowrepeat'});

		&ToHTML($member{'pbgSignatureRowtextcolor'});
		&FromChars($member{'pbgSignatureRowtextcolor'});
		&ToHTML($member{'pbgSignatureRowalink'});
		&FromChars($member{'pbgSignatureRowalink'});
		&ToHTML($member{'pbgSignatureRowahoverlink'});
		&FromChars($member{'pbgSignatureRowahoverlink'});
		&ToHTML($member{'pbgSignatureRowvlink'});
		&FromChars($member{'pbgSignatureRowvlink'});

		&ToHTML($member{'pbgFirstRowurl'});
		&FromChars($member{'pbgFirstRowurl'});
  	&ToHTML($member{'pbgFirstRowcolor'});
		&FromChars($member{'pbgFirstRowcolor'});
		&ToHTML($member{'pbgFirstRowattahment'});
		&ToHTML($member{'pbgFirstRowposition'});
		&ToHTML($member{'pbgFirstRowrepeat'});

		&ToHTML($member{'pbgFirstRowtextcolor'});
		&FromChars($member{'pbgFirstRowtextcolor'});
		&ToHTML($member{'pbgFirstRowalink'});
		&FromChars($member{'pbgFirstRowalink'});
		&ToHTML($member{'pbgFirstRowahoverlink'});
		&FromChars($member{'pbgFirstRowahoverlink'});
		&ToHTML($member{'pbgFirstRowvlink'});
		&FromChars($member{'pbgFirstRowvlink'});

		&ToHTML($member{'pbgContactRowurl'});
		&FromChars($member{'pbgContactRowurl'});
  	&ToHTML($member{'pbgContactRowcolor'});
		&FromChars($member{'pbgContactRowcolor'});
		&ToHTML($member{'pbgContactRowattahment'});
		&ToHTML($member{'pbgContactRowposition'});
		&ToHTML($member{'pbgContactRowrepeat'});

		&ToHTML($member{'pbgContactRowtextcolor'});
		&FromChars($member{'pbgContactRowtextcolor'});
		&ToHTML($member{'pbgContactRowalink'});
		&FromChars($member{'pbgContactRowalink'});
		&ToHTML($member{'pbgContactRowahoverlink'});
		&FromChars($member{'pbgContactRowahoverlink'});
		&ToHTML($member{'pbgContactRowvlink'});
		&FromChars($member{'pbgContactRowvlink'});

		&ToHTML($member{'pbgAdditionalInfoRowurl'});
		&FromChars($member{'pbgAdditionalInfoRowurl'});
  	&ToHTML($member{'pbgAdditionalInfoRowcolor'});
		&FromChars($member{'pbgAdditionalInfoRowcolor'});
		&ToHTML($member{'pbgAdditionalInfoRowattahment'});
		&ToHTML($member{'pbgAdditionalInfoRowposition'});
		&ToHTML($member{'pbgAdditionalInfoRowrepeat'});

		&ToHTML($member{'pbgAdditionalInfoRowtextcolor'});
		&FromChars($member{'pbgAdditionalInfoRowtextcolor'});
		&ToHTML($member{'pbgAdditionalInfoRowalink'});
		&FromChars($member{'pbgAdditionalInfoRowalink'});
		&ToHTML($member{'pbgAdditionalInfoRowahoverlink'});
		&FromChars($member{'pbgAdditionalInfoRowahoverlink'});
		&ToHTML($member{'pbgAdditionalInfoRowvlink'});
		&FromChars($member{'pbgAdditionalInfoRowvlink'});

	# Time to print the changes to the username.vars file
	${$uid.$user}{'pbgimgurl'} = $member{'pbgimgurl'};
	${$uid.$user}{'pbgcolor'} = $member{'pbgcolor'};
	${$uid.$user}{'pbgimgattachment'} = $member{'pbgimgattachment'};
	${$uid.$user}{'pbgimgposition'} = $member{'pbgimgposition'};
	${$uid.$user}{'pbgimgrepeat'} = $member{'pbgimgrepeat'};

	${$uid.$user}{'pbgPicRowurl'} = $member{'pbgPicRowurl'};
	${$uid.$user}{'pbgPicRowcolor'} = $member{'pbgPicRowcolor'};
	${$uid.$user}{'pbgPicRowattachment'} = $member{'pbgPicRowattachment'};
	${$uid.$user}{'pbgPicRowposition'} = $member{'pbgPicRowposition'};
	${$uid.$user}{'pbgPicRowrepeat'} = $member{'pbgPicRowrepeat'};
	${$uid.$user}{'pbgPicRowtextcolor'} = $member{'pbgPicRowtextcolor'};
	${$uid.$user}{'pbgPicRowalink'} = $member{'pbgPicRowalink'};
	${$uid.$user}{'pbgPicRowahoverlink'} = $member{'pbgPicRowahoverlink'};
	${$uid.$user}{'pbgPicRowvlink'} = $member{'pbgPicRowvlink'};

	${$uid.$user}{'pbgSignatureRowurl'} = $member{'pbgSignatureRowurl'};
	${$uid.$user}{'pbgSignatureRowcolor'} = $member{'pbgSignatureRowcolor'};
	${$uid.$user}{'pbgSignatureRowattachment'} = $member{'pbgSignatureRowattachment'};
	${$uid.$user}{'pbgSignatureRowposition'} = $member{'pbgSignatureRowposition'};
	${$uid.$user}{'pbgSignatureRowrepeat'} = $member{'pbgSignatureRowrepeat'};
	${$uid.$user}{'pbgSignatureRowtextcolor'} = $member{'pbgSignatureRowtextcolor'};
	${$uid.$user}{'pbgSignatureRowalink'} = $member{'pbgSignatureRowalink'};
	${$uid.$user}{'pbgSignatureRowahoverlink'} = $member{'pbgSignatureRowahoverlink'};
	${$uid.$user}{'pbgSignatureRowvlink'} = $member{'pbgSignatureRowvlink'};

	${$uid.$user}{'pbgFirstRowurl'} = $member{'pbgFirstRowurl'};
	${$uid.$user}{'pbgFirstRowcolor'} = $member{'pbgFirstRowcolor'};
	${$uid.$user}{'pbgFirstRowattachment'} = $member{'pbgFirstRowattachment'};
	${$uid.$user}{'pbgFirstRowposition'} = $member{'pbgFirstRowposition'};
	${$uid.$user}{'pbgFirstRowrepeat'} = $member{'pbgFirstRowrepeat'};
	${$uid.$user}{'pbgFirstRowtextcolor'} = $member{'pbgFirstRowtextcolor'};
	${$uid.$user}{'pbgFirstRowalink'} = $member{'pbgFirstRowalink'};
	${$uid.$user}{'pbgFirstRowahoverlink'} = $member{'pbgFirstRowahoverlink'};
	${$uid.$user}{'pbgFirstRowvlink'} = $member{'pbgFirstRowvlink'};

	${$uid.$user}{'pbgContactRowurl'} = $member{'pbgContactRowurl'};
	${$uid.$user}{'pbgContactRowcolor'} = $member{'pbgContactRowcolor'};
	${$uid.$user}{'pbgContactRowattachment'} = $member{'pbgContactRowattachment'};
	${$uid.$user}{'pbgContactRowposition'} = $member{'pbgContactRowposition'};
	${$uid.$user}{'pbgContactRowrepeat'} = $member{'pbgContactRowrepeat'};
	${$uid.$user}{'pbgContactRowtextcolor'} = $member{'pbgContactRowtextcolor'};
	${$uid.$user}{'pbgContactRowalink'} = $member{'pbgContactRowalink'};
	${$uid.$user}{'pbgContactRowahoverlink'} = $member{'pbgContactRowahoverlink'};
	${$uid.$user}{'pbgContactRowvlink'} = $member{'pbgContactRowvlink'};

	${$uid.$user}{'pbgAdditionalInfoRowurl'} = $member{'pbgAdditionalInfoRowurl'};
	${$uid.$user}{'pbgAdditionalInfoRowcolor'} = $member{'pbgAdditionalInfoRowcolor'};
	${$uid.$user}{'pbgAdditionalInfoRowattachment'} = $member{'pbgAdditionalInfoRowattachment'};
	${$uid.$user}{'pbgAdditionalInfoRowposition'} = $member{'pbgAdditionalInfoRowposition'};
	${$uid.$user}{'pbgAdditionalInfoRowrepeat'} = $member{'pbgAdditionalInfoRowrepeat'};
  	${$uid.$user}{'pbgAdditionalInfoRowtextcolor'} = $member{'pbgAdditionalInfoRowtextcolor'};
	${$uid.$user}{'pbgAdditionalInfoRowalink'} = $member{'pbgAdditionalInfoRowalink'};
	${$uid.$user}{'pbgAdditionalInfoRowahoverlink'} = $member{'pbgAdditionalInfoRowahoverlink'};
	${$uid.$user}{'pbgAdditionalInfoRowvlink'} = $member{'pbgAdditionalInfoRowvlink'};
	&UserAccount($user, "update");

	my $scriptAction = qq~viewprofile~;
	if ($iamadmin || ($iamgmod && $allow_gmod_profile && $gmod_access2{'profileAdmin'} eq 'on')) {
		$scriptAction = qq~profileAdmin~;
	}
	if ($view)	{ $scriptAction = qq~my~ . $scriptAction; }
	$yySetLocation = qq~$scripturl?action=$scriptAction;username=$useraccount{$member{'username'}};sid=$INFO{'sid'}~;
	&redirectexit;
	}
}
</replace>

<search for>
		$row_signature = qq~
		<tr>
		<td class="catbg" align="left">
			<img src="$imagesdir/profile.gif" alt="" border="0" style="vertical-align: middle;" />&nbsp;
			<span class="text1"><b>$profile_txt{'85'}</b></span>
		</td>
		</tr>
		<tr>
		<td align="left" class="windowbg2">
			<div style="float: left; width: 100%; padding-top: 8px; padding-bottom: 8px; overflow: auto;">
			${$uid.$user}{'signature'}
			</div>
		</td>
		</tr>
	~;
	}
</search for>

<replace>
		$row_signature = qq~
		<tr>
		<td class="catbg" align="left">
			<img src="$imagesdir/profile.gif" alt="" border="0" style="vertical-align: middle;" />&nbsp;
			<span class="text1"><b>$profile_txt{'85'}</b></span>
		</td>
		</tr>
		<tr>
		<td align="left" class="pbgSignatureRow">
			<div style="float: left; width: 100%; padding-top: 8px; padding-bottom: 8px; overflow: auto;">
			${$uid.$user}{'signature'}
			</div>
		</td>
		</tr>
	~;
	}
</replace>

<search for>
	# End statistics.
	if (${$uid.$user}{'usertext'}) {
		$wrapcut = 20;
		$wrapstr = ${$uid.$user}{'usertext'};
		&WrapChars;
		$showusertext = $wrapstr;
		$showusertext =~ s/<br \/>/ /g;
	}
</search for>

<add after>
	# Begin profileCSS.mod
	$showProfile .= qq~<style type="text/css">~;

	if (${$uid.$user}{'pbgimgurl'}) {
		$pbgimgurl = ${$uid.$user}{'pbgimgurl'};
	$showProfile .= qq~
	.bordercolor {
		background-image: url($pbgimgurl);~;
}
	if (${$uid.$user}{'pbgcolor'}) {
		$pbgcolor = ${$uid.$user}{'pbgcolor'};
	$showProfile .= qq~
		background-color: $pbgcolor;~;
}
	if (${$uid.$user}{'pbgimgattachment'}) {
		$pbgimgattachment = ${$uid.$user}{'pbgimgattachment'};
	$showProfile .= qq~
		background-attachment: $pbgimgattachment;~;
}
	if (${$uid.$user}{'pbgimgposition'}) {
		$pbgimgposition = ${$uid.$user}{'pbgimgposition'};
	$showProfile .= qq~
		background-position: $pbgimgposition;~;
}
	if (${$uid.$user}{'pbgimgrepeat'}) {
		$pbgimgrepeat = ${$uid.$user}{'pbgimgrepeat'};
	$showProfile .= qq~
		background-repeat: $pbgimgrepeat;~;
}
		$showProfile .= qq~
	}~;

## pbgPicRow
	if (${$uid.$user}{'pbgPicRowurl'}) {
		$pbgPicRowurl = ${$uid.$user}{'pbgPicRowurl'};
	$showProfile .= qq~
	.pbgPicRow {
		background-image:url($pbgPicRowurl);~;
}
	if (${$uid.$user}{'pbgPicRowcolor'}) {
		$pbgPicRowcolor = ${$uid.$user}{'pbgPicRowcolor'};
	$showProfile .= qq~
		background-color: $pbgPicRowcolor;~;
}
	if (${$uid.$user}{'pbgPicRowattachment'}) {
		$pbgPicRowattachment = ${$uid.$user}{'pbgPicRowattachment'};
	$showProfile .= qq~
		background-attachment: $pbgPicRowattachment;~;
}
	if (${$uid.$user}{'pbgPicRowposition'}) {
		$pbgPicRowposition = ${$uid.$user}{'pbgPicRowposition'};
	$showProfile .= qq~
		background-position: $pbgPicRowposition;~;
}
	if (${$uid.$user}{'pbgPicRowrepeat'}) {
		$pbgPicRowrepeat = ${$uid.$user}{'pbgPicRowrepeat'};
	$showProfile .= qq~
		background-repeat: $pbgPicRowrepeat;~;
}
	if (${$uid.$user}{'pbgPicRowtextcolor'}) {
		$pbgPicRowtextcolor = ${$uid.$user}{'pbgPicRowtextcolor'};
	$showProfile .= qq~
		color: $pbgPicRowtextcolor;
	}~;
}
	if (${$uid.$user}{'pbgPicRowalink'}) {
		$pbgPicRowalink = ${$uid.$user}{'pbgPicRowalink'};
	$showProfile .= qq~
	.pbgPicRowalink a {
	font-weight: normal;
	color: $pbgPicRowalink;
	font-family: Verdana, Arial, Sans-Serif;
	text-decoration: none;
	}~;
}

	if (${$uid.$user}{'pbgPicRowahoverlink'}) {
		$pbgPicRowahoverlink = ${$uid.$user}{'pbgPicRowahoverlink'};
	$showProfile .= qq~
	.pbgPicRowalink a:hover {
	color: $pbgPicRowahoverlink;
	font-family: Verdana, Arial, Sans-Serif;
	text-decoration: underline;
	}~;
}

	if (${$uid.$user}{'pbgPicRowvlink'}) {
		$pbgPicRowvlink = ${$uid.$user}{'pbgPicRowvlink'};
	$showProfile .= qq~
	.pbgPicRowalink a:visited {
	font-weight: normal;
	color: $pbgPicRowvlink;
	font-family: Verdana, Arial, Sans-Serif;
	}	
	~;
}
## pbgFirstRow
	if (${$uid.$user}{'pbgFirstRowurl'}) {
		$pbgFirstRowurl = ${$uid.$user}{'pbgFirstRowurl'};
	$showProfile .= qq~
	.pbgFirstRow {
		background-image: url($pbgFirstRowurl);~;
}
	if (${$uid.$user}{'pbgFirstRowcolor'}) {
		$pbgFirstRowcolor = ${$uid.$user}{'pbgFirstRowcolor'};
	$showProfile .= qq~
		background-color: $pbgFirstRowcolor;~;
}
	if (${$uid.$user}{'pbgFirstRowattachment'}) {
		$pbgFirstRowattachment = ${$uid.$user}{'pbgFirstRowattachment'};
	$showProfile .= qq~
		background-attachment: $pbgFirstRowattachment;~;
}
	if (${$uid.$user}{'pbgFirstRowposition'}) {
		$pbgFirstRowposition = ${$uid.$user}{'pbgFirstRowposition'};
	$showProfile .= qq~
		background-position:$ pbgFirstRowposition;~;
}
	if (${$uid.$user}{'pbgFirstRowrepeat'}) {
		$pbgFirstRowrepeat = ${$uid.$user}{'pbgFirstRowrepeat'};
	$showProfile .= qq~
		background-repeat: $pbgFirstRowrepeat;~;
}
	if (${$uid.$user}{'pbgFirstRowtextcolor'}) {
		$pbgFirstRowtextcolor = ${$uid.$user}{'pbgFirstRowtextcolor'};
	$showProfile .= qq~
		color: $pbgFirstRowtextcolor;
		}~;
}
	if (${$uid.$user}{'pbgFirstRowalink'}) {
		$pbgFirstRowalink = ${$uid.$user}{'pbgFirstRowalink'};
	$showProfile .= qq~
	.pbgFirstRow a {
	font-weight: normal;
	color: $pbgFirstRowalink;
	font-family: Verdana, Arial, Sans-Serif;
	text-decoration: none;
	}~;
}

	if (${$uid.$user}{'pbgFirstRowahoverlink'}) {
		$pbgFirstRowahoverlink = ${$uid.$user}{'pbgFirstRowahoverlink'};
	$showProfile .= qq~
	.pbgFirstRow a:hover {
	color: $pbgFirstRowahoverlink;
	font-family: Verdana, Arial, Sans-Serif;
	text-decoration: underline;
	}~;
}

	if (${$uid.$user}{'pbgFirstRowvlink'}) {
		$pbgFirstRowvlink = ${$uid.$user}{'pbgFirstRowvlink'};
	$showProfile .= qq~
	.pbgFirstRow a:visited {
	font-weight: normal;
	color: $pbgFirstRowvlink;
	font-family: Verdana, Arial, Sans-Serif;
	}	
	~;
}
## pbgContactRow
	if (${$uid.$user}{'pbgContactRowurl'}) {
		$pbgContactRowurl = ${$uid.$user}{'pbgContactRowurl'};
	$showProfile .= qq~
	.pbgContactRow {
		background-image: url($pbgContactRowurl);~;
}
	if (${$uid.$user}{'pbgContactRowcolor'}) {
		$pbgContactRowcolor = ${$uid.$user}{'pbgContactRowcolor'};
	$showProfile .= qq~
		background-color: $pbgContactRowcolor;~;
}
	if (${$uid.$user}{'pbgContactRowattachment'}) {
		$pbgContactRowattachment = ${$uid.$user}{'pbgContactRowattachment'};
	$showProfile .= qq~
		background-attachment: $pbgContactRowattachment;~;
}
	if (${$uid.$user}{'pbgContactRowposition'}) {
		$pbgContactRowposition = ${$uid.$user}{'pbgContactRowposition'};
	$showProfile .= qq~
		background-position: $pbgContactRowposition;~;
}
	if (${$uid.$user}{'pbgContactRowrepeat'}) {
		$pbgContactRowrepeat = ${$uid.$user}{'pbgContactRowrepeat'};
	$showProfile .= qq~
		background-repeat: $pbgContactRowrepeat;~;
}
	if (${$uid.$user}{'pbgContactRowtextcolor'}) {
		$pbgContactRowtextcolor = ${$uid.$user}{'pbgContactRowtextcolor'};
	$showProfile .= qq~
		color: $pbgContactRowtextcolor;
		}~;
}
	if (${$uid.$user}{'pbgContactRowalink'}) {
		$pbgContactRowalink = ${$uid.$user}{'pbgContactRowalink'};
	$showProfile .= qq~
	.pbgContactRowalink a {
	font-weight: normal;
	color: $pbgContactRowalink;
	font-family: Verdana, Arial, Sans-Serif;
	text-decoration: none;
	}~;
}

	if (${$uid.$user}{'pbgContactRowahoverlink'}) {
		$pbgContactRowahoverlink = ${$uid.$user}{'pbgContactRowahoverlink'};
	$showProfile .= qq~
	.pbgContactRowalink a:hover {
	color: $pbgContactRowahoverlink;
	font-family: Verdana, Arial, Sans-Serif;
	text-decoration: underline;
	}~;
}

	if (${$uid.$user}{'pbgContactRowvlink'}) {
		$pbgContactRowvlink = ${$uid.$user}{'pbgContactRowvlink'};
	$showProfile .= qq~
	.pbgContactRowalink a:visited {
	font-weight: normal;
	color: $pbgContactRowvlink;
	font-family: Verdana, Arial, Sans-Serif;
	}	
	~;
}
## pbgSignatureRow
	if (${$uid.$user}{'pbgSignatureRowurl'}) {
		$pbgSignatureRowurl = ${$uid.$user}{'pbgSignatureRowurl'};
	$showProfile .= qq~
	.pbgSignatureRow {
		background-image: url($pbgSignatureRowurl);~;
}
	if (${$uid.$user}{'pbgSignatureRowcolor'}) {
		$pbgSignatureRowcolor = ${$uid.$user}{'pbgSignatureRowcolor'};
	$showProfile .= qq~
		background-color: $pbgSignatureRowcolor;~;
}
	if (${$uid.$user}{'pbgSignatureRowattachment'}) {
		$pbgSignatureRowattachment = ${$uid.$user}{'pbgSignatureRowattachment'};
	$showProfile .= qq~
		background-attachment: $pbgSignatureRowattachment;~;
}
	if (${$uid.$user}{'pbgSignatureRowposition'}) {
		$pbgSignatureRowposition = ${$uid.$user}{'pbgSignatureRowposition'};
	$showProfile .= qq~
		background-position: $pbgSignatureRowposition;~;
}
	if (${$uid.$user}{'pbgSignatureRowrepeat'}) {
		$pbgSignatureRowrepeat = ${$uid.$user}{'pbgSignatureRowrepeat'};
	$showProfile .= qq~
		background-repeat: $pbgSignatureRowrepeat;~;
}
	if (${$uid.$user}{'pbgSignatureRowtextcolor'}) {
		$pbgSignatureRowtextcolor = ${$uid.$user}{'pbgSignatureRowtextcolor'};
	$showProfile .= qq~
		color: $pbgSignatureRowtextcolor;
		}~;
}
	if (${$uid.$user}{'pbgSignatureRowalink'}) {
		$pbgSignatureRowalink = ${$uid.$user}{'pbgSignatureRowalink'};
	$showProfile .= qq~
	.pbgSignatureRowalink a {
	font-weight: normal;
	color: $pbgSignatureRowalink;
	font-family: Verdana, Arial, Sans-Serif;
	text-decoration: none;
	}~;
}

	if (${$uid.$user}{'pbgSignatureRowahoverlink'}) {
		$pbgSignatureRowahoverlink = ${$uid.$user}{'pbgSignatureRowahoverlink'};
	$showProfile .= qq~
	.pbgSignatureRowalink a:hover {
	color: $pbgSignatureRowahoverlink;
	font-family: Verdana, Arial, Sans-Serif;
	text-decoration: underline;
	}~;
}

	if (${$uid.$user}{'pbgSignatureRowvlink'}) {
		$pbgSignatureRowvlink = ${$uid.$user}{'pbgSignatureRowvlink'};
	$showProfile .= qq~
	.pbgSignatureRowalink a:visited {
	font-weight: normal;
	color: $pbgSignatureRowvlink;
	font-family: Verdana, Arial, Sans-Serif;
	}	
	~;
}
## pbgAdditionalInfoRow
	if (${$uid.$user}{'pbgAdditionalInfoRowurl'}) {
		$pbgAdditionalInfoRowurl = ${$uid.$user}{'pbgAdditionalInfoRowurl'};
	$showProfile .= qq~
	.pbgAdditionalInfoRow {
		background-image: url($pbgAdditionalInfoRowurl);~;
}
	if (${$uid.$user}{'pbgAdditionalInfoRowcolor'}) {
		$pbgAdditionalInfoRowcolor = ${$uid.$user}{'pbgAdditionalInfoRowcolor'};
	$showProfile .= qq~
		background-color: $pbgAdditionalInfoRowcolor;~;
}
	if (${$uid.$user}{'pbgAdditionalInfoRowattachment'}) {
		$pbgAdditionalInfoRowattachment = ${$uid.$user}{'pbgAdditionalInfoRowattachment'};
	$showProfile .= qq~
		background-attachment: $pbgAdditionalInfoRowattachment;~;
}
	if (${$uid.$user}{'pbgAdditionalInfoRowposition'}) {
		$pbgAdditionalInfoRowposition = ${$uid.$user}{'pbgAdditionalInfoRowposition'};
	$showProfile .= qq~
		background-position: $pbgAdditionalInfoRowposition;~;
}
	if (${$uid.$user}{'pbgAdditionalInfoRowrepeat'}) {
		$pbgAdditionalInfoRowrepeat = ${$uid.$user}{'pbgAdditionalInfoRowrepeat'};
	$showProfile .= qq~
		background-repeat: $pbgAdditionalInfoRowrepeat;~;
}
	if (${$uid.$user}{'pbgAdditionalInfoRowtextcolor'}) {
		$pbgAdditionalInfoRowtextcolor = ${$uid.$user}{'pbgAdditionalInfoRowtextcolor'};
	$showProfile .= qq~
		color: $pbgAdditionalInfoRowtextcolor;
		}~;
}
	if (${$uid.$user}{'pbgAdditionalInfoRowalink'}) {
		$pbgAdditionalInfoRowalink = ${$uid.$user}{'pbgAdditionalInfoRowalink'};
	$showProfile .= qq~
	.pbgAdditionalInfoRowalink a {
	font-weight: normal;
	color: $pbgAdditionalInfoRowalink;
	font-family: Verdana, Arial, Sans-Serif;
	text-decoration: none;
	}~;
}

	if (${$uid.$user}{'pbgAdditionalInfoRowahoverlink'}) {
		$pbgAdditionalInfoRowahoverlink = ${$uid.$user}{'pbgAdditionalInfoRowahoverlink'};
	$showProfile .= qq~
	.pbgAdditionalInfoRowalink a:hover {
	color: $pbgAdditionalInfoRowahoverlink;
	font-family: Verdana, Arial, Sans-Serif;
	text-decoration: underline;
	}~;
}

	if (${$uid.$user}{'pbgAdditionalInfoRowvlink'}) {
		$pbgAdditionalInfoRowvlink = ${$uid.$user}{'pbgAdditionalInfoRowvlink'};
	$showProfile .= qq~
	.pbgAdditionalInfoRowalink a:visited {
	font-weight: normal;
	color: $pbgAdditionalInfoRowvlink;
	font-family: Verdana, Arial, Sans-Serif;
	}	
	~;
}

	$showProfile .= qq~</style>~;
# End profileCSS.mod
</add after>

<search for>
	$showProfile .= qq~
	<tr>
		<td class="windowbg" valign="middle">
			$pic_row
</search for>

<replace>
	$showProfile .= qq~
	<tr>
		<td class="pbgPicRow" valign="middle">
			$pic_row
</replace>

<search for>
	<tr>
		<td class="windowbg2" align="left" valign="top">
			<div style="float: left; clear: left; width: 30%; padding-top: 5px; padding-bottom: 5px;">
			<b>$profile_txt{'21'}: </b>
</search for>

<replace>
	<tr>
		<td class="pbgFirstRow" align="left" valign="top">
			<div style="float: left; clear: left; width: 30%; padding-top: 5px; padding-bottom: 5px;">
			<b>$profile_txt{'21'}: </b>
</replace>

<search for>
		</td>
	</tr>
  ~;

	if ($row_gender || $row_age || $row_location) {
		$showProfile .= qq~
	<tr>
		<td class="windowbg2" align="left" valign="top">
		$row_gender
		$row_age
		$row_location
		</td>
	</tr>
	~;
	}
</search for>

<replace>
  ~;

	if ($row_gender || $row_age || $row_location) {
		$showProfile .= qq~
		$row_gender
		$row_age
		$row_location
		</td>
	</tr>
	~;
	} else {
		$showProfile .= qq~		</td>
	</tr>
		~;
	}
</replace>

<search for>
	<tr>
		<td class="windowbg2" align="left">
		~;

	&CheckUserPM_Level($user);
</search for>

<replace>
	<tr>
		<td class="pbgContactRow" align="left">
		~;

	&CheckUserPM_Level($user);
</replace>

<search for>
	<tr>
 	<td class="windowbg2" align="left">
		<div style="float: left; clear: left; width: 30%; padding-top: 5px; padding-bottom: 5px;">	<b>$lastonline: </b></div>
		<div style="float: left; width: 70%; padding-top: 5px; padding-bottom: 5px;">$userlastlogin</div>
		<div style="float: left; clear: left; width: 30%; padding-top: 5px; padding-bottom: 5px;"><b>$lastpost:</b></div>
		<div style="float: left; width: 70%; padding-top: 5px; padding-bottom: 5px;">$userlastpost</div>
	~;
</search for>

<replace>
	<tr>
 	<td class="pbgAdditionalInfoRow" align="left">
		<div style="float: left; clear: left; width: 30%; padding-top: 5px; padding-bottom: 5px;">	<b>$lastonline: </b></div>
		<div style="float: left; width: 70%; padding-top: 5px; padding-bottom: 5px;">$userlastlogin</div>
		<div style="float: left; clear: left; width: 30%; padding-top: 5px; padding-bottom: 5px;"><b>$lastpost:</b></div>
		<div style="float: left; width: 70%; padding-top: 5px; padding-bottom: 5px;">$userlastpost</div>
	~;
</replace>

<search for>
	my ($memberinfo, $modify, $email, $gender, $avstyle, $pic);
</search for>

<add after>
	my ($pbgimgurl, $pbgcolor, $pbgimgattachment, $pbgimgposition, $pbgimgrepeat, $pbgPicRowurl, $pbgPicRowcolor, $pbgPicRowattachment, $pbgPicRowposition, $pbgPicRowrepeat, $pbgPicRowtextcolor, $pbgPicRowalink, $pbgPicRowahoverlink, $pbgPicRowvlink, $pbgSignatureRowurl, $pbgSignatureRowcolor, $pbgSignatureRowattachment, $pbgSignatureRowposition, $pbgSignatureRowrepeat, $pbgSignatureRowtextcolor, $pbgSignatureRowalink, $pbgSignatureRowahoverlink, $pbgSignatureRowvlink, $pbgFirstRowurl, $pbgFirstRowcolor, $pbgFirstRowattachment, $pbgFirstRowposition, $pbgFirstRowrepeat, $pbgFirstRowtextcolor, $pbgFirstRowalink, $pbgFirstRowahoverlink, $pbgFirstRowvlink, $pbgContactRowurl, $pbgContactRowcolor, $pbgContactRowattachment, $pbgContactRowposition, $pbgContactRowrepeat, $pbgContactRowtextcolor, $pbgContactRowalink, $pbgContactRowahoverlink, $pbgContactRowvlink, $pbgAdditionalInfoRowurl, $pbgAdditionalInfoRowcolor, $pbgAdditionalInfoRowattachment, $pbgAdditionalInfoRowposition, $pbgAdditionalInfoRowrepeat, $pbgAdditionalInfoRowtextcolor, $pbgAdditionalInfoRowalink, $pbgAdditionalInfoRowahoverlink, $pbgAdditionalInfoRowvlink);
</add after>

<edit file>
Sources/SubList.pl
</edit file>

<search for>
'myprofileIM2',"MyCenter.pl&mycenter",
</search for>

<add after>
'profileCSS',"Profile.pl&profileCSS",
'myprofileCSS',"MyCenter.pl&mycenter",
'profileCSS2',"Profile.pl&profileCSS2",
'myprofileCSS2',"MyCenter.pl&mycenter",
</add after>

<edit file>
Sources/System.pl
</edit file>

<search for>
	my @tags = qw(password realname email regdate regreason webtitle weburl spamcount spamtime signature postcount position addgroups icq aim yim skype gender usertext userpic regtime location bday timeselect timeoffset timeformat hidemail msn gtalk template language lastonline lastpost lastim im_ignorelist im_notify im_popup im_imspop cathide postlayout session sesquest sesanswer favorites dsttimeoffset pageindex lastips onlinealert pmactprev pmmessprev pmviewMess buddylist offlinestatus awaysubj awayreply awayreplysent stealth);
</search for>

<replace>
	my @tags = qw(password realname email regdate regreason webtitle weburl spamcount spamtime signature postcount position addgroups icq aim yim skype gender usertext userpic regtime location bday timeselect timeoffset timeformat hidemail msn gtalk template language lastonline lastpost lastim im_ignorelist im_notify im_popup im_imspop cathide postlayout session sesquest sesanswer favorites dsttimeoffset pageindex lastips onlinealert pmactprev pmmessprev pmviewMess buddylist offlinestatus awaysubj awayreply awayreplysent pbgimgurl pbgcolor pbgimgattachment pbgimgposition pbgimgrepeat pbgPicRowurl pbgPicRowcolor pbgPicRowattachment pbgPicRowposition pbgPicRowrepeat pbgPicRowtextcolor pbgPicRowalink pbgPicRowahoverlink pbgPicRowvlink pbgSignatureRowurl pbgSignatureRowcolor pbgSignatureRowattachment pbgSignatureRowposition pbgSignatureRowrepeat pbgSignatureRowtextcolor pbgSignatureRowalink pbgSignatureRowahoverlink pbgSignatureRowvlink pbgFirstRowurl pbgFirstRowcolor pbgFirstRowattachment pbgFirstRowposition pbgFirstRowrepeat pbgFirstRowtextcolor pbgFirstRowalink pbgFirstRowahoverlink pbgFirstRowvlink pbgContactRowurl pbgContactRowcolor pbgContactRowattachment pbgContactRowposition pbgContactRowrepeat pbgContactRowtextcolor pbgContactRowalink pbgContactRowahoverlink pbgContactRowvlink pbgAdditionalInfoRowurl pbgAdditionalInfoRowcolor pbgAdditionalInfoRowattachment pbgAdditionalInfoRowposition pbgAdditionalInfoRowrepeat pbgAdditionalInfoRowtextcolor pbgAdditionalInfoRowalink pbgAdditionalInfoRowahoverlink pbgAdditionalInfoRowvlink stealth);
</replace>